2010-06-30  Patrice Dumas  <pertusus@free.fr>

	* Makefile.am, i18n_ref: add a directory for references for i18n
	old style files, such that everything goes well even without gettext.
	Also add a .thl suffix to the i18n old-style files.

2010-06-27  Patrice Dumas  <pertusus@free.fr>

	* NEWS, README: 5.0 release.

2010-06-27  Karl Berry  <karl@gnu.org>

	* addformats.sh,
	* buildt2h.sh: make msgs consistent.

2010-06-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: always open a menu comment at the menu beginning,
	ie when in menu and not after a menu entry. Report from Karl.

2010-06-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, formats/html.init: unconditionnally add a 
	colon after index node and menu node when not in texi2html mode. 
	Report from Karl.

2010-06-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, NEWS, formats/*.init: change the external_ref 
	API, fourth argument is now the file name and add the node as an 
	extra argument.
	Simplify default external references, use section name or
	cross references or node name, and use printed manual name or 
	info manual name, report from Karl.

2010-06-25  Karl Berry  <karl@gnu.org>

	* addformats.sh,
        * buildt2h.sh: add copyright notice,
        and insert generation identification in output.
	* Makefile.am: add copyright notice.

2010-06-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add variable substitution in htmlxref.cnf. Karl
	idea.
	* texi2html.init: add chapter and section possibilities for
	split manuals. Report from Karl.
	* po_*/*: update to a more recent gettext.

2010-06-22  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: format the key of index entries as late as possible
	allowing for example to take into account --enable-encoding.
	* texi2html.pl, texi2html.init: Add a new map for sorted strings, 
	%sorting_things_map, to avoid taking into account the sorting in 
	%texi_map. For example @copyright can now be (C) while it is C 
	in sorting_things_map. Report by Karl.

2010-06-22  Karl Berry  <karl@gnu.org>

	* texi2html.pl: sectionning has one n in English.

2010-06-21   Patrice Dumas  <pertusus@free.fr>

	* formats/plaintext.init: when doing plaintext or info with 
	--headers, don't set the output to be STDOUT if already set and is
	not a directory. Report from Karl.

2010-06-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: in htmlxref.cnf, a comment is now ^\s*# instead
	of # followed by a space anywhere on the line. Report from Karl.

2010-06-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: set the command name to texi2any when it is not
	a known command name (ie $0 or --program is not texi2html, 
	makeinfo or texi2any). Report from Karl.

2010-06-12   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, texi2html.pl, formats/html.init: new output
	configuration variable, currently only used in html,
	$DATE_IN_HEADER to have the generation date output in headers. 
	Report from Benno Schulenberg.

2010-04-24   Patrice Dumas  <pertusus@free.fr>

	* formats/docbook.init: don't format @b and @i as lineannotation
	in preformatted output, report from Per Bothner.

2010-04-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: really initialize state when formatting special
	regions outside of document.

2010-04-03   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: @part is stopped by an appendix.
	Use part as section target, if the section is associated with 
	a part.

2010-03-31   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle part in html. 
	@part are associated with the following sectionning command,
	like @chapter.
	nodes associated with @part are associated with this sectionning
	command too. 
	@part are not included in the toplevelnext and toplevelprev 
	chains and these directions are used for node next and prev, 
	bypassing @part.
	* formats/html.init: add a rule after a @part.
	* texi2html.init: add back some default definitions for 
	all the layout subroutines, in case they are used in user-defined 
	functions and not defined in the default format.

2010-03-28   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/info.init, formats/docbook.init, 
	formats/xml.init: handle @part in info, xml and docbook.
	* texi2html.pl, formats/docbook.init, formats/xml.init: 
	use childnext, the next child element of an element, instead
	of sectionnext to determine if an element has to be closed
	in docbook or xml. This fixes the tree when there is first a
	low-level element before an upper level element.

2010-03-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: new option --program to change defaults
	according to that option.
	* texi2html.init: treat raw text format as a regular
	format, with an initialization function.
	Don't double the prepended text in itemize if it is 
	an @-command and don't do anything with 
	%special_list_commands.

2010-03-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: error out when there are multiple @menu in 
	a node. Fix http://savannah.gnu.org/bugs/?8432.
	* texi2html.init: prepend a ; to thorn entity.
	* formats/docbook.init: no &lsaquo; nor &rsaquo;, replace with
	&gt;, &lt;.
	* Makefile.am: always create the i18n directory.
	Do a specific target for the po_document file to run update-po,
	report from Karl.
	Distribute gettext_to_separated.pl.

2010-03-13  Karl Berry  <karl@gnu.org>

	* texi2html.pl: mention perl -x for running from the srcdir.
	Suggestion from Patrice.

2010-03-02   Patrice Dumas  <pertusus@free.fr>

	* formats/html.init: prevent breaks on - and _ in @w.

2010-03-01   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/html.init: handle
	@allowcodebreaks in html by enclosing the word containing - 
	or _ in white-space:pre style. Idea from Mark Polesky.

2010-02-23   Patrice Dumas  <pertusus@free.fr>

	* configure.ac, texi2html.pl: use more runtime detection. Report
	from Karl.

2010-02-21   Patrice Dumas  <pertusus@free.fr>

	* Makefile.am: regenerate the .gmo files for tests in check-local
	not all-local.
	* texi2html.pl: expand correctly datarootdir.
	Bind the domains of the messages to the directory they are 
	installed into.

2010-02-21   Patrice Dumas  <pertusus@free.fr>

	* configure.ac, Makefile.am: take po files from above directory
	(where texinfo po files are) if the source wasn't configured
	in the texi2html toplevel directory.
	* texi2html.init: add some unicode character transliteration
	to get the same test results in case unidecode is not installed.
	* test/*: set the WIDTH in latex2html generated files to 100
	otherwise it may be different of one unit between platforms.
	A possible cause may be platform dependent rounding used to
	determine the WIDTH based on image width in latex2html.

2010-02-20   Patrice Dumas  <pertusus@free.fr>

	* Makefile.am, i18n/*, separated_to_hash.pl, gettext_to_separated.pl:
	generate automatically i18n hashes from po files.

2010-02-07   Patrice Dumas  <pertusus@free.fr>

	* configure.ac, NEWS: change the release number to 5.0, to match
	the next texinfo release.

2010-02-07   Patrice Dumas  <pertusus@free.fr>

	* formats/info.init: handle @w rightly, by considering everything
	in @w to be a pending word, even the spaces.
	* formats/html.init: handle @w correctly in html.
	* i18n/es, po_document/es.us-ascii.po: fix some accented characters 
	in the Spanish translations (Francisco Vila).
	* *Makefile*: use automake 1.11.1.

2010-01-22   Patrice Dumas  <pertusus@free.fr>

	* formats/info.init: don't munge punctuation when in code style
	command, @dots, @var, @cite, or a simple_style command.
	Ignore @emph, @strong and other style commands better, even if 
	they lead to a begin or end string and even if there are 
	info_default_after_punctuation_characters in following commands.
	info_default_leaf_command are simple simple_style commands.
	* texi2html.init: more simple_style command and @w isn't a 
	simple_style command.

2010-01-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/info.init: use string width when
	necessary, not character number. 
	Fix http://savannah.gnu.org/bugs/?28359.
	* texi2html.init: use Unicode::EastAsianWidth to determine string 
	width. Use it for section titles, fixing the original issue in
	http://savannah.gnu.org/bugs/?28359.
	* Makefile.am, configure.ac, lib: ship Unicode::EastAsianWidth to 
	always be able to use an internal copy.

2010-01-19   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: in get_conf take into account the values in 
	Texi2HTML::GLOBAL, this allows using get_conf sooner.
	Runtime configuration variable, USE_NLS for nls support.
	Prepare for character width handling with Unicode::EastAsianWidth.
	New command handler, @command_handler_names, after second pass, but
	before element names expansions.
	* texi2html.init: use @command_handler_names to set things_map 
	to the encoded character if ENABLE_ENCODING is set, such that
	the encoded characters are used in node and section names.
	Don't call t2h_default_set_out_encoding in init_out, since it was
	already called earlier in the main program.
	* formats/info.init: count bytes and not characters for nodes,
	anchor and file offsets.
	Very partial fix of http://savannah.gnu.org/bugs/?28359.

2010-01-10   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't open a paragraph when a specially handled
	command that doesn't open a paragraph is encountered.
	This leads to constructs badly rendered, with a paragraph opened
	right after the @end tex, like
	
	With:

	@tex
	a = b/c
	@end tex
	.@*

	However, without the first newline, the result is right.
	* formats/info.init: handle commands specially handled in info.

2010-12-28   Patrice Dumas  <pertusus@free.fr>

	* po_document/hu.po, po_document/it.po: hungarian 
	translation (Dénes Harmath) and italian translation 
	(Federico Bruni).
	* po_document/ja.utf-8.po: remove the utf-8 part of the 
	filename since it prevents conversion to other encodings.
	* texi2html.init, texi2html.pl: set $OUT to undef in the
	default case, such that it is determined by $SPLIT.

2009-12-27   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: decode translated strings in perl internal format.

2009-12-24   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init,*/*.init: more messages setup to be translated.

2009-12-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: more messages setup to be translated.

2009-12-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use makeinfo messages for @if* commands.

2009-12-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle better @verb{ not closed in listoffloats.
	Error for empty nodes. 
	Use t_0 for basename when the node consists in spaces after @-command
	expansions.

2009-12-19   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: keep line number information for settitle and
	similar functions formatting and output error messages.

2009-11-23   Patrice Dumas  <pertusus@free.fr>

	* formats/html.init: @format is not indented.
	Prepare the indentation using CSS for complex formats.
	Default to using CSS indentation, except for html32.init
	(following Thomas Keller idea).
	* texi2html.pl, texi2html.init, */*.init:  complex format handling 
	API changed. $complex_format_map is replaced by a real hash 
	%complex_format_map and the begin and end are no more evaluated.
	* maintained_extra/mediawiki.init: use preformatted formats
	indentation in CSS. Don't add a div for each preformatted, but only
	for the whole format.

2009-11-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: don't execute commplex format string if it is
	an empty string.

2009-11-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/info.init: add anchors for index entries
	in special regions, with the region name in the anchor.
	Avoid using @index_labels.
	Handle better unknown index entry commands.

2009-11-15   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: error if @headitem is used inside @table.
	Handle double @top.
	* texi2html.pl, formats/*.init: handle @author in 
	@quotation and warn for author outside of @quotation and
	@titlepage.
	* configure.ac, Makefile.am, po_*/POTFILES.in.in, po_*/Makevars.in:
	Add some paths set in configure in POTFILES.in.in and Makevars.in 
	to workaround gettext not automatically setting top_builddir.

2009-11-11   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: add maps for TeX/LaTeX with a complete 
	coverage for @-commands in math style. Add a function 
	default_load_tex_math to load those and expand @-commands
	in math as LaTeX or TeX.
	* examples/mediawiki.init: expand @-commands in math as
	LaTeX.
	* examples/mediawiki.init: moved to maintained_extras now
	that it is complete.

2009-11-08   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl formats/*: more adjustments to error messages
	to be like makeinfo.

2009-11-04   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init texi2html.pl formats/*: set up translations 
	for error messages, reusing all the makeinfo messages that are 
	relevant.

2009-11-01   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, i18n/*, po_document, manage_i18n.pl.in, *: 
	instead of using %{ } for translation arguments, use { } as 
	known by libintl-perl and gettext. 
	Use gdt() instead of &$I() to mark strings to be translated
	to be able to use xgettext to find strings. 
	Use a gettext-like framework using libintl-perl for in document 
	string translations. The old i18n framework can still be 
	activated by setting $I18N_PERL_HASH.
	Remove non ascii characters that crept in coments.
	* configure.ac, Makefile.am: support libintl-perl external and 
	internal and gettext.
	* lib/: copy libintl-perl to be sure that it is available, and
	also to have a consistent behaviour (different gettext 
	implementations do things differently).

2009-10-30  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add po_messages, po_document.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add po_messages/Makefile.in
	and po_document/Makefile.in.

2009-10-29   Patrice Dumas  <pertusus@free.fr>

	* configure.ac, test/*: split node names in test that lead to 
	long out files, to be able to use tar-ustar instead of tar-pax.
	* texi2html.pl, Makefile.am: distinguish config files directories 
	and init files directories. For config files directories use the 
	command name. For init files also prepend a directories 
	like *texinfo/init and append CONF_DIRS.

2009-10-26   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, T2h_l2h.pm, maintained_extra/tex4ht.init:
	call twice the extraction of html to have something ready for
	the special regions formatting and also allow to have modifications
	of the file like in mediawiki.init (report of tex_in_copying failing
	from Jean-Charles Malahieude).
	* Makefile.am, doc/Makefile.am: modify to be able to build
	texi2html as part of another package (in texinfo).
	* texi2html.init: handle right --prefix in info.

2009-10-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, texi2html.pl, T2h_l2h.pm, maintained_extra/tex4ht.init: 
	split tex handling further, with html extraction done in 
	@command_handler_output such that it is possible to modify the
	resulting files after 'process' and before 'output'.
	Add newlines between TeX fragments.
	If L2H_SKIP is 0, cache is not used.
	* examples/mediawiki.init: use html2wiki between 'process' and 
	before 'output' to translate the html produced by tex4ht or 
	latex2html to wiki.

2009-10-19   Patrice Dumas  <pertusus@free.fr>

	* formats/*.init: don't strip {} in @math in html, docbook and 
	xml, as agreed with Karl.

2009-10-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: @math is also in code_style.
	* texi2html.pl, texi2html.init, */*.init: 
	change in the normal_text function reference API, now there is an 
	input variable true if in @math. Same in thing_command and 
	simple_command.
	* examples/mediawiki.init: handle @image, @uref, @math, @kbd,
	@indicateurl, @abbr, footnotes.

2009-10-14   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/*: add 'inline_attribute' 
	for an XML attribute that should be closed at paragraph end and 
	reopened at paragraph begin. Consequently the closing and opening 
	of 'attribute' isn't done anymore in paragraph and preformatted.
	Add a new interface for substitutions in normal text, with 
	t2h_add_text_substitutions, t2h_remove_text_substitutions,
	@text_substitutions_normal, @text_substitutions_texi,
	@text_substitutions_simple_format, @text_substitutions_pre and
	t2h_text_substitutions.
	USE_ISO now only determines if '', `` --- and -- are transformed
	into entities. t2h_default_set_iso_symbols sets or unsets USE_ISO,
	%things_map/%pre_map/%simple_format_simple_map_texi, 
	$OPEN_QUOTE_SYMBOL and $CLOSE_QUOTE_SYMBOL.
	%iso_symbols is unused now.
	Transform ' and ` when doing utf8 text and in simple_formats.
	Set correctly $Texi2HTML::THISDOC{'line_nr'} in substitute_text.
	* T2h_i18n.pm: ensures that %@{something@} really leads to 
	%{something}. This means that @{ in a string to be translated will
	always be rendered as {, whatever the format. Having a @{ in a 
	translated string, however, should hopefully not happen.
	* doc/texi2html.texi: remove the old string interface for style
	commands from the documentation. Support for this interface is
	untested since a long time. The new interface is documented since
	2004-01-19 (release 1.68).
	* examples/mediawiki.init: more use of wikitext instead of 
	html. 
	Warn for characters that shouldn't appear in mediawiki
	titles and references.
	* maintained_extra/chm.init: avoid entities in .hh* files.

2009-10-06   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/html.init: add the 
	possibility to disable CSS with NO_CSS and have styles inline with
	INLINE_CSS_STYLE.
	Use INLINE_CSS_STYLE in mediawiki.init and NO_CSS in html32.init.

2009-10-04   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add a new hook for users, command_handler_setup
	that is really called before anything is done.
	Add 'inline_end' and 'inline_begin' for styles to allow for
	markup that has to be restarted or closed at each paragraph break
	(that is already done for atributes).
	* texi2html.init, formats/*: print_element_header is obsoleted, 
	things should be done in element_heading or print_head_navigation.
	New function references, heading_text and heading_text_preformatted
	allowing to have more generic function references.
	More generic inline_contents, titlepage print_title heading and
	element_heading (merged texi2html.init and html.init versions).
	Add SHOW_TITLE to determine whether the title is print out or not.
	* examples/mediawiki.init: more wiki links using targets with 
	spaces.

2009-09-23   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use @code for index entries that should be 
	in @code that are not in usual places and so couldn't be 
	gathered in pass 2.
	Distinguish 'expansion', like index entry, or caption in
	various contexts and real regions like @copying and @titlepage,
	that are 'region'.
	Don't use 'hidden' in a index entry ref for hidden index
	entries, instead flag entries that were not seen and are in 
	a region. Entries that are in an 'expansion' may be expanded
	more than once and are also not collected.
	Warn for anchors that are ignored because they are in a region
	that is expanded more than once.

2009-09-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: if a closed file is reopened, echo a warning
	and open in append mode.
	Avoid overwriting files when doing misc elements.

2009-09-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: if there is a Top node, warn if the first node
	doesn't appear in menus.
	Handle file counter of added index files like files from the
	main program (in case a file name collides, tested in 
	same_doc_nr_split_index_and_element.texi).
	Use the element cross-reference name (also used as anchor)
	as file name when NODE_FILENAMES is true, and there is no 
	associated node.

2009-09-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: Don't use authors and subtitles to hold the 
	texinfo strings, but use authors_texi and subtitles_texi. 
	Obsolete the use of values to hold the command texinfo strings.
	Don't always set the Up of the toplevel elements to the 
	element_top.

2009-09-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: isolate the code related with index split
	such that it is called only if SPLIT_INDEX is set.
	Always change file after and before the top element since
	it uses the docu_top file.
	Increase the index file number only when needed, not for
	every the elements, when node names are used for filenames.

2009-09-18   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use global information for @printindex not
	split.
	Try to give correct file name to close_out.

2009-09-17   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use global information for @printindex not
	associated with any element.

2009-09-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: hold the index entries gathered 
	in pass 2 by index name in an array instead of a hash.
	Do the sorting by letter in the main program and use per index
	array or hash to hold and use the entry sorted by letter.

2009-09-15   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: split do_simple to avoid redundant condition
	checking.
	Keep line numbers within nested styles.
	Uncomment --command handling for now.
	Use scan_line_separators to parse @float and @quotation lines
	instead of 'cmd_line'.
	Remove dead code related with cmd_line and obsolete end of line 
	protection code.
	Give a context string for substitute_text.
	Better menu entry parsing.
	Consistently remove comments and spaces at the end of line
	@-command arguments.
	Pass empty index entries and empty letters down to the last pass.
	* formats/html.init: better-looking menu entries.

2009-09-11   Patrice Dumas  <pertusus@free.fr>

	* formats/docbook.init, formats/xml.init: remove the useless 
	comment at the end of the output file.

2009-09-10   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: keep definfoenclose for later
	passes.
	Don't treat _setfilename as a value set. It should be available 
	through get_conf.
	Handle better bogus uses of @setfilename.
	* formats/info.init: take @frenchspacing into account.
	Handle right @. followed by any of )"'] at end of line.
	* formats/html.init: modify element classes. Change class "toc" 
	for ul to class "no-bullet" ($NO_BULLET_LIST_ATTRIBUTE). @top 
	and @centerchap have now their command name as class.
	@node heading class is now "node-heading", instead of "node".
	The whole header is in an element with class "header" (was "node" when
	!$HEADER_IN_TABLE).
	* examples/,maintained_extra/: separate examples, that are kept
	in examples/, and init files that are maintained, and installed
	in the default case and put in maintained_extra/.
	* examples/style_example.css: Add an example css stylesheet from
	http://planet.gnu.org/~ams/style.css.

2009-09-09   Patrice Dumas  <pertusus@free.fr>

	* formats/html.init: use better elements and classes.

2009-09-08   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't use Top for the Top name if there is no
	element with that name.
	Remove empty lines also when there is only one section.
	Prepare a 'simpletitle'.
	* texi2html.pl, texi2html.init, formats/html.init: Output the 
	title at the beginning of the document, in html. Output the
	titlepage if called as texi2html, using &$print_title with 
	USE_TITLEPAGE_FOR_TITLE set to 1, otherwise output the 
	'simpletitle'.
	Don't output the title in print_Top.
	* texi2html.init: don't treat especially heading of the node
	that also happens to be in the element_top, and don't replace
	an empty @top by the title, the title should appear as a
	title anyway and the user certainly don't want a heading to 
	appear if the @top is empty.
	Don't skip the heading if there was a titlefont.

2009-09-06   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/html.init: use @top for fulltitle. Don't
	set fulltitle to 'Untitled Document' in main program.
	Warn if there is no title available.
	New handler @command_handler_output called right before document
	output, after initializations.
	* texi2html.pl, texi2html.init, formats/*: put the functions in 
	the handlers only once.
	* texi2html.init: transliterate @O{}/@o{} (00D8/00F8) as O and o.
	* texi2html.pl, texi2html.init: warn if the @documentencoding is
	not a canonical encoding from the texinfo manual.
	Don't set output encoding to an encoding that cannot be handled.
	* formats/info.init: append <n> to index entries with same names.
	* texi2html.pl: if file begins with /, ./ or ../ don't search in -I.
	* */Makefile.in: use automake 1.11.

2009-09-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: Consider the Top node as an element only 
	if !$only_section.
	Avoid setting and using the 'top' in element.

2009-09-03   Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, formats/*: don't remove spaces again in 
	@quotation formatting.
	* texi2html.pl: associate node directions with a section only
	if there is an associated node.

2009-09-02   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: take into account @  when 
	removing spaces at the end of texinfo strings.
	Improve node name parsing and parse node name in menu taking into
	account @-commands that may protect some separator characters.
	Fixes http://savannah.gnu.org/bugs/?8218.
	* texi2html.pl: use makeinfo error messages for duplicated nodes
	anchor and floats. Add line number information to anchor and 
	floats.

2009-08-31   Patrice Dumas  <pertusus@free.fr>

	* texi2html.*: handle better @kbdinputstyle.
	More error messages are the same than makeinfo in C.

2009-08-30   Patrice Dumas  <pertusus@free.fr>

	* texi2html.*, examples/*: invert the meaning of the 3rd argument
	of set_conf.
	Uset set_conf to have the *contents output even if there is no
	@c*contents.
	Use set_conf/get_conf directly for set*contentsaftertitlepage.
	* texi2html.init: Add a header for the footnotes.

2009-08-29   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, test/sectionning/nodename_parentheses: 
	ignore nodes having a name alike references to
	external nodes in menu, line (manual)node.
	* texi2html.pl, formats/info.init: warn for non empty format without 
	@item. https://savannah.gnu.org/bugs/?15513

2009-08-25   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: fix the number of entry per index page in case of 
	index split.
	* tests/encodings: added example chinese_mixed_with_en from 
	https://savannah.gnu.org/bugs/?22696.

2009-08-24   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, mediawiki.init: remove the user 
	from footer, and the corresponding USER variable and 
	$Texi2HTML::THISDOC{user}. This is a useless information leaking.

2009-08-23   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/docbook.init: consider @top more as a 
	normal element when doing the sectionning elements tree.
	* texi2html.pl: if NODE_FILENAMES is true, set docu_doc to 
	the top node file name. Keep filename if NODE_FILENAMES is 
	set even for documents with no @element_list.
	* texi2html.pl, texi2html.init, formats/html.init: 
	Change print_redirection_page API such that it is possible to 
	return null to avoid printing anything, and even avoid opening
	the file.
	Don't do redirection files in the default case.
	* texi2html.pl, formats/xml.init: remove spaces in front of nodes
	and titles in menus.
	* formats/xml.init: node elements are stand-alone.
	Sectionning elements follow the tree organization of the 
	document.
	* test/*: use newer latex2html in debian (2008 version).

2009-08-07   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: do the contents on the sections.
	Use exclusively sections to find fastback, fastforward and 
	element_chapter_index.
	* texi2html.pl, texi2html.init, examples/* formats/*: 
	add NODE_NAME_IN_INDEX.
	Always call the heading formatting even if not an element.
	* formats/docbook.init: don't take into account the splitting
	from the main program, take only into account @-commands.
	* formats/html.init: use only nodes as elements unless called
	as texi2html.
	* tests/sectionning/*, tests/run_test_all.sh: specify
	additional formats to test for on a per-directory basis.

2009-08-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/html.init, texi2html.init, examples/*:
	replace SIMPLE_HEADERS with HEADER_IN_TABLE (as a negation).
	merge the 2 print_navigation and use HEADER_IN_TABLE dynamically.
	Add buttons specifically for top.
	Set the default to SHORT_REF = 1, when not called as texi2html.
	* texi2html.pl: prepend Appendix to appendix letters and remove
	dot at the end of top-level section numbers (Karl report).
	* formats/html.init: in @def* don't underline the category,
	but italicize the type (Karl suggestion).
	better buttons for top.
	Put buttons in the more common order << < Up > >> (Karl suggestion).
	Add a space in indices between entry and reference (Karl suggestion).
	* formats/info.init: remove a spurious : in float captions in 
	@listoffloats.

2009-08-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/html.init, texi2html.init, examples/*:
	Simplify rules use, by using only the default and big rule.
	New header formatting function, when $SIMPLE_HEADERS is set.
	Also, when $SIMPLE_HEADERS is set the buttons are like makeinfo
	directions in info, with Contents and Index, no about is output.
	$button_formatting formats a button in the two print_navigation
	implementations (and in mediawiki).
	Don't add the program string in footer if $PROGRAM_NAME_IN_FOOTER 
	is not set (the default when not called as texi2html).
	* texi2html.pl, formats/info.init, texi2html.init: use get_conf and
	set_conf doe DOCUMENT_ENCODING and IN_ENCODING.

2009-08-04   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: always use menu directions to
	find node directions, but only for nodes using automatic directions
	that are also not associated with a sectionning command.
	$USE_MENU_DIRECTIONS is not used anymore.
	Handle @headitemfont.
	* texi2html.pl: always search for include files and images 
	in working directory and manual directory, but not in result
	directory.
	Add user defined @-macro information in error messages.
	* formats/info.init: always output encoding as a local var if set,
	even if there are no nodes.

2009-08-03   Patrice Dumas  <pertusus@free.fr>

	* MySimple.pm: handle correctly aliases.
	* texi2html.pl, tests/*: add makeinfo short command aliases.
	Implement --no-warn and --no-number-footnotes.
	Also add --output-indent and --commands-in-node-names though they
	don't do anything.
	Parse command-line like makeinfo does when not called as texi2html.
	* texi2html.init, formats/*: implement @raggedright.
	* formats/info.init: alias encoding names.

2009-08-03   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use makeinfo error messages.
	Have all error messages consistently go through error message
	functions, and rename those functions to be more consistent.
	Warn when a table hasn't a format comand for @item.
	* texi2html.pl, texi2html.init: handle --force. 
	Die like makeinfo if FORCE is not set, remove all generated 
	files in that case.

2009-08-02   Patrice Dumas  <pertusus@free.fr>

	* formats/info.init: put float text and caption in the right order
	in listoffloats such that it is a menu entry that can be followed
	in info.
	Use the basenames in the Info preamble (Karl suggestion).

2009-08-02   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: treat @alias like a normal misc
	commmand.
	Keep @macros definitions in output, treat them as raw environments
	that can be nested.
	Warn for deprecated commands.
	* texi2html.init: @syncodeindex and @finalout swallow end of line.
	* formats/html.init: Don't double in title when the @top and 
	@settitle are the same.
	* texi2html.pl: add 0x7F as a comment character.
	Still provide the default output with --macro-expand.
	warning if macro with an argument number different than 1 
	is called without a {} (Karl suggestion).
	Read TEXINFO_OUTPUT_FORMAT in env to determine the output format, 
	if not overridden by a command line option.
	More error and warning messages, especially for info.
	Warn for superfluous @node arguments.
	Remove whitespaces after formats, even in last pass.
	* Makefile.am, documentlanguages.pl, regenerate_documentlanguages.pl:
	Gather language codes and regions from the iana registery file.
	* formats/info.init: remove last end of line in @image file.txt
	Warn if there is a float or anchor before first node.
	* tests/*: run only once to generate the the texi_* output.

2009-07-31   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: warn for double menu entry and also for up in 
	menu not matching up in node directions.
	Warn for def*x appearing in the wrong @def format.
	* formats/info.init: warn if @direcategory/@direntry after 
	first node.

2009-07-31   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: Implement --internal-links.
	* tests/manuals: add test results for info and raw plaintext.
	* tests/*: add info and raw results for remaining tests.
	* examples/mediawiki.init: remove @-commands from file names
	and protect / and \.

2009-07-30   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add $NODE_FILENAMES to use node
	names for files associated with nodes, such that $NODE_FILES is 
	only means creating redirection files.
	Warn when there is a @tab before any @item in multitable.
	Add no_open and no_close args to unknown_style.
	* tests/*: move some tests from misc/verbatim_html to the main
	test suite.
	* tests/misc: add test results for info and raw plaintext.

2009-07-28   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: warn for command in 'command_stack', that is 
	command opened and not closed after a paragraph end in close_stack.
	Don't call tab_item_texi if the cell is going to be ignored.
	Don't make a character following an @-command part of the 
	@-command.
	* tests/invalid, tests/nested_formats: add test results for info 
	and raw plaintext.
	* tests/formatting/punctuation.texi: rename to simple_punctuation.texi
	and replace with a more in-depth test file.
	* tests/info_coverage: new tests, specifically used during info backend
	developpement.

2009-07-25   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle better printindex in special region,
	mostly for @printindex in @copying, and more like a normal
	@-command.
	* tests/indices*: add test results for info and raw plaintext.

2009-07-13   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/plaintext.init: new 
	plaintext format.
	* tests/layout*: add test results for info and raw plaintext.
	* tests/formatting: test for plaintext format.
	* tests/*: add standard output diff to test.

2009-07-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: separate $TOP_NODE_FILE from
	$TOP_NODE_FILE_TARGET.

2009-07-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, formats/info.init, formats/html.init: allow for
	undefined TOP_NODE_FILE, and use it as default.
	Only use utf8 related functions if USE_UNICODE is set.
	* formats/info.init: accent commmands are never considered as
	punctuation.
	* tests/encodings/*: add test results for info and raw plaintext.

2009-06-28   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/*: use a specific handler to
	handle misc commands, $misc_command_line, instead of turning the 
	@-command into an unknown macro (and misc_command_line_texi if 
	remove_texi).
	With inline content use a different content element for each
	@*content.
	Check for a symbol following @end command argument.
	* tests/formatting/*: add test results for info and raw plaintext.

2009-06-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/html.init: reformat toc
	lines with file information for inline contents.
	* tests/contents/*: add test results for info and raw plaintext.

2009-06-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: process @*contents within pass_text.
	close previous def_item before calling begin_format_texi, if needed.
	* texi2html.pl, formats/info.init: handle @printindex like a normal
	@-command.
	* formats/info.init: warn for missing file.txt for image only if
	there is also no image file.
	* tests/coverage/*: add test results for info and raw plaintext.

2009-06-08   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: better initialization for the cross references hashes.
	Always call element_file_name for 'doc'.
	* texi2html.pl, formats/*: override splitting from command line.
	* formats/info.init: add a dot after @ref if needed.
	* tests/sectionning/*: add test results for info and raw plaintext.

2009-06-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/*: better initializations.

2009-05-24   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/*: add an array for the 
	format specific expansion T2H_FORMAT_EXPAND to separate from the 
	expansion information from the command-line.
	Reset defaults for the customization variables each time a format
	is loaded with t2h_default_set_variables_default and 
	t2h_default_set_variables_xml.
	Default for the customization variables are the makeinfo defaults,
	except when called as texi2html and output is html, in that case
	a function is used t2h_default_set_variables_texi2html.
	replace $TRANSLITERATE_NODE by $TRANSLITERATE_FILE_NAMES.
	replace $SECTION_NAVIGATION by $HEADERS.
	rename ascii_* by default_*.
	* test/*, test/macros/res_*/: test for texi2html called as 
	makeinfo or texi2all.

2009-05-23   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/*: remove html formatting
	from texi2html.init, where only raw text formatting should be 
	done.
	* formats/info.init: remove the debugging output and fix minor
	bugs.

2009-05-22   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, formats/html.init, 
	formats/info.init, addformats.sh, Makefile.am: put html specific 
	formating in formats/html.init, and setup dynamically the output 
	format, based on the command name and the option like --xml.
	* examples/docbook.init,examples/info.init,examples/xml.init:
	moved to formats/.

2009-05-21   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/*, T2h_l2h.pm:
	replace $DO_CONTENTS by $CONTENTS and $DO_SCONTENTS by 
	$SHORTCONTENTS.
	Handle -o /dev/null (or NUL) like makeinfo.

2009-05-20   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: Suffixes (in @INPUT_FILE_SUFFIXES) 
	are concatenated with input file names to try to find a suitable 
	file (like makeinfo).
	* texi2html.pl, texi2html.init, examples/info.init: handle 
	--enable-encoding.

2009-05-17   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: a path separator may be used for -I and similar
	options like makeinfo does.

2009-05-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,texi2html.init: handle @DH{}, @dh{}, @TH{}, @th{}. 
	use set_conf and get_conf to get and set configuration.

2009-05-02   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: record the real element the index entry is in, 
	not only the last heading.

2009-05-01   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: ignore @setfilename in included file, consistently
	with the texinfo manual.
	Allow @cartouche to be handled like a simple_format.
	* texi2html.pl, texi2html.init: @direntry is handled like a 
	menu, not a raw environment.

2009-04-27   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: simplify index handling and fix syn*index to do 
	the same than in the documentation and in makeinfo/texi2dvi.
	Fix index_summary_file.
	Fix line count with a def* protected end of line at the end of
	the file.
	* texi2html.init: @page stops paragraphs.

2009-04-25   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle @direntry and @dircategory 
	better.
	Add a function reference $line_command and a hash %line_command_map
	for processing line @-commands and use it for @title, @subtitle and 
	@author, with a corresponding change in the titlepage formatting 
	also allowing to have something more in line with what texi2dvi 
	produces.
	verbatiminclude is now a $raw command argument distinct from 
	verbatim.
	Don't close out file, to let user code close it without erroring.
	Fix output to STDOUT for info, and splitting of info output when 
	output to STDOUT, or not split.
	Use stdin as input if there is no file in argument and stdin
	is not a tty and fix stdin and stdout names used.
	Output an error message only if there is an associated line. 
	Use plain warn for messages that are not associated with a specific
	location.
	Pass line numbers to substitute_text for special regions and 
	special commands like refs and footnotes.

2009-04-23   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: use the float name and number as 
	cross-reference name.

2009-04-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: really pass the original @-command for @def*.

2009-04-16   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: normalize the inter-spaces in definition arguments.

2009-04-14   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: give the command name in \&def
	argument.

2009-04-05   Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: call tab_item_texi after closing formats.

2009-04-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add a user hook for closed empty preformatted.

2009-04-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/: modify directly the 
	texinfo for table items. \&table_item API changed correspondingly.
	remove spaces in @(v|t)table @item better.
	Give information about the context for substitute_line, and other 
	contexts when paragraphs should not appear, and also give context
	of close_paragraph to be able to deliver an error message stating
	that something triggering paragraph closing happened while it
	shouldn't have.
	Change the System Identifier to be conformant with what w3c now
	wants (report from Andreas Lochmann).
	* texi2html.pl: Split close_stack_texi_structure in 
	close_stack_texi and close_stack_structure, and close directly 
	in these functions instead of constructing a string to resume 
	processing.
	Use a hash instead of an array for index entries, and give 
	something to the formatting function even if the index
	entry is not in a normal place in the document.
	Handle better index entries on @item @*table lines and other 
	invalid constructs, especially bad constructs involving @center.
	* doc/texi2html.texi: fix invalid constructs.

2009-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: @sp stops paragraph and ignores up 
	to the end of line.

2009-01-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: ignore more text and remove more
	end of lines after @-commands.
	Ignore @-commands prior from detecting empty lines, to allow
	for stopping paragraphs when there are only @-commands to be 
	ignored that don't swallow end of lines.

2009-01-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: consider the @itemize argument
	either as an @-command or a leading text, not both, and remove
	spaces in @itemize arguments better.

2009-01-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: (dir) is added as up node only if automatic
	directions are used.
	* texi2html.pl, texi2html.init, examples/*: Handle the raw 
	formats during output formatting, not in the first pass.

2009-01-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: centerchap is unnumbered.
	Pass the index entry reference to index entry formatting functions.
	Fix get_node to only return node elements.
	* examples/docbook.init: add the node as id only for the sectionning
	element associated with that node.

2009-01-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: correct exclamdown/questiondown in ascii.
	* test/run_test.sh: tests of info output ignore stderr since
	it is full of debugging output right now.

2009-01-05  Derek Price  <derek@ximbiot.com>

	* configure.ac: Update version # for post 1.82 development.
	* NEWS: Add section for 1.84 release information.

	* NEWS: Transform a few of Patrice's ChangeLog entries into what are
	hopefully accurate NEWS entries for the 1.82 release.
	* configure.ac: Update version # for 1.82 release.
	* INSTALL, config.guess, config.sub, install-sh, missing,
	mkinstalldirs, mdate-sh, doc/mdate-sh, doc/texinfo.tex: Updated from
	versions in Automake 1.10.

2009-01-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't duplicate the state for menu entry 
	formatting, use the main state.

2009-01-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add a hook at for the end of special regions 
	processing.

2009-01-04  Derek Price  <derek@ximbiot.com>

	* NEWS: Note more robust tests.

	* test/run_test.sh, test/many_input_files/tex_l2h.sh,
	test/many_input_files/tex_t4ht.sh: Pass a default temporary directory
	to `mktemp'.

2009-01-01  Derek Price  <derek@ximbiot.com>

	* configure.ac: Update version # for post 1.80 development.
	* NEWS: Add section for 1.82 release information.
	* test/encodings/Makefile.am (EXTRA_DIST),
	test/formatting/Makefile.am (EXTRA_DIST): Remove references to
	unversioned files.

	* configure.ac: Update version # for 1.80 release.
	* NEWS: Add date for 1.80 release.

2009-01-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: remove space in front of @quotation argument.
	* texi2html.pl: add a key in duplicated state.
	Return the remaining line after a kept misc command.
	Go through normal_text for empty lines in preformatted.
	Open paragraph after unkown command.
	Call begin_format_texi after closing stuff.

2008-12-24  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add new hooks for user functions, for simple 
	@-commands, and at the beginning of special regions.
	* T2h_i18n.pm, texi2html.pl, texi2html.init, examples/*: 
	use main state in translation string only when needed.

2008-12-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: correct transliteration when USE_UNICODE or 
	USE_UNIDECODE are not set.
	* test/encoding/*: tests for transliteration with all possibilities.

2008-12-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't use unidecode on unicode characters that
	are known not to have a good transliteration. This corresponds with
	characters with an @-command that don't have a transliteration, like
	@exclamdown...
	* test/*: avoid more spurious differences in latex2html output.

2008-12-22  Derek Price  <derek@ximbiot.com>

	* doc/.cvsignore: Ignore this...
	* doc/texi2html.html: ...removed file, since it is generated during
	build.

2008-12-16  Patrice Dumas  <pertusus@free.fr>

	* test/*: handle more gracefully missing latex2html or tex4ht.
	Try to avoid spurious differences in latex2html output.

2008-12-11  Derek Price  <derek@ximbiot.com>

	* texi2html.pl: Set $T2H_HOME based on the path to the script when
	it is not found set in the environment.
	* test/run_test.sh: Use mktemp more portably.

2008-11-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: in format_line_number, use @ in front of a macro
	name, suggestion from Werner LEMBERG.

2008-11-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add hooks for user functions at 
	@-command beginning for commands taking arguments, at paragraph
	beginning and when @item or @tab appears.
	Use it to determine the number of paragraph in cell.
	* MySimple.pm: add a sentence about -- being the same as -.
	Report from Werner LEMBERG.

2008-11-20  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: replace an empty macro by an empty string instead
	of breaking. report from Werner LEMBERG.

2008-11-14  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: duplicate stack to keep right paragraph nesting
	from top to bottom.
	* formatting/double_style_paragraph.texi: test for double style
	commands enclosing 2 paragraphs.

2008-11-11  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: set %simple_map_texi = %ascii_simple_map. 
	@ followed by a newline or a tab should be replaced by a space.

2008-11-10  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: add support for @ogonek.
	* texi2html.init, texi2html.pl: encode correctly texi dumped.

2008-11-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, texi2html.pl: move index splitting code back to
	texi2html.pl, but still in the Config namespace, to mark clearly
	that this code is GPL. summary_letter is also put in texi2html.pl
	since it share a variable at file scope.
	* examples/*: add copyright notices to most init files, except 
	xml.init and book.init that should remain as an example users can 
	copy from.

2008-11-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: remove leading spaces and trailing spaces in 
	multitable cells.
	* texi2html.pl: do human-readable id for toc, and different id
	for stoc.
	* texi2html.pl, texi2html.init, examples/makeinfo.init: with 
	OVERVIEW_LINK_TO_TOC set, overview links to toc as in makeinfo.

2008-11-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: don't do paragraphs in multitables.
	* texi2html.pl, texi2html.init: handle @smallquotation, change 
	quotation_prepend_text and quotation function reference APIs.
	* texi2html.init: put a table line in <tt> if and only if there is
	a code-like environment enclosing the construct.
	* texi2html.pl: warn if the menu order doesn't follow the sectionning
	order.

2008-11-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: associate node with the right file,
	even if after section and split index. 
	Handle better empty @elements_list.

2008-09-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: associate nodes that are not already associated 
	with the top node in case only sections are used.
	* texi2html.init: associate elements in split indices to the 
	split indice added element.

2008-09-24  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: remove THIS_HEADER. Instead 
	everything goes to THIS_SECTION. New function reference, 
	element_heading, to format a node or a section heading, including
	navigation and label. Accordingly, print_Top and one_section don't
	print the element header anymore.
	print_element_header and print_navigation now return their result.
	new argument for print_misc and print_misc_header, the misc page
	name.
	labels and headings appear where the command is, instead of always 
	appearing at the beginning of the elements.

2008-09-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,texi2html.init: do added index pages in 
	texi2html.init. Add an element for an index page only it begins 
	a new file. Avoid changing directions as best as possible, while 
	still linking to the added index element (with Following, Back and 
	Prev). Never consider printindex as elements, but instead put them
	in places.

2008-09-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: always use a distinct label for index 
	entries, and use id, target like for other placed items.
	Give more informations for index entry formatting.

2008-09-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: when node Top is considered as a @top, don't
	associate the following nodes to it, but rather to the next
	section.
	When there is no section and USE_NODES is not set don't split
	by node.
	Split only by node when USE_SECTIONS is not set and USE_NODES
	is. Default for USE_SECTIONS is 1, and default for USE_NODES
	is now undef.
	When there is no texinfo sectionning element at all or no 
	element for texi2html (for example no section but 
	USE_SECTIONS == 1 and USE_NODES undef).
	always use THIS_SECTION and THIS_HEADER such that formatting
	functions can modify them.
	* texi2html.pl, texi2html.init: progress towards index formatting
	simplification and handling out of the main program.

2008-09-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't consider Top node is like @top when 
	finding automatic directions for nodes.
	And use up node for up if element is a node, instead of relying on
	the section the node is within.
	Use toplevelnext and toplevelprev when finding node directions for
	sections not associated with nodes.

2008-09-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add prepare_state_multiple_pass function to ease
	formatting more than once specific texts (in index entries, prepended
	in @itemize, @caption formatting outside of document...) as if
	they were in special regions (@copying, @titlepage...).
	* examples/docbook: create valid docbook in @?(v|f)table taking 
	into account the strictness of docbook.
	Remove title for text before first item, docbook handles right
	anything before the real table beginning.

2008-09-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: section names and headings cross
	ref are now human readable and constructed using the section name.
	Better index summary letters and index page labels that also
	ensures that there is no clash with node labels.
	* texi2html.init: when split at node, output navigation heading 
	even when SECTION_NAVIGATION is true, but never output navigation
	footings.

2008-08-31  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: only one @title should appear in
	a document. So now, what was title before is fulltitle.
	Simplify fulltitle determination, now try @settitle first.
	@shortittle doesn't exist.
	Accept more than one file on the command line.
	Config variables are read-only after command line switches
	expansion. If defined, they set $Texi2HTML::THISDOC{'VAR'}
	and if not defined, $Texi2HTML::THISDOC{'VAR'} is autodetected.
	$Texi2HTML::THISDOC{'VAR'} is then used in the code.
	Better handling of 8byte encodings.
	Generate human readable index labels.
	Fix element_target_name return result order (report from Reinhold).
	* texi2html.init: Modify elements formatting functions such that they 
	call print_foot_navigation instead of doing the formatting themselves,
	and also such that they never call print_navigation directly.
	This is more consistent with the docs.
	* test/many_input_files: test for more than one file on the 
	command line.

2008-08-29  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: expand macros and value in all the @-commands that
	need to. Also treat as normal text more @-commands.
	More places with code_style, as agreed on bug-texinfo.
	Don't normalize spaces in images.
	Protect text in @verb in simple_format.
	As said on the texinfo list in menu only the node is in code_style.
	Transliterate index entries in index labels.
	* i18n/es: new translation from Francisco Vila.

2008-08-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, examples/makeinfo.init: put everything needed for
	footnote formatting in the footnote state, to be able to use it in
	formatting function. This allows to mimic the makeinfo formatting
	of footnotes.
	* texi2html.pl, doc/*: add function references to be able to modify
	target and id for elements, placed items and nodes (Reinhold
	suggestion).
	* texi2html.pl: initialize file relative foot number to 0 (report
	from Reinhold).
	Fix numbering of numbered subsections in unnumbered such that every
	numbered section has an increasing number.
	* texi2html.pl, texi2html.init: @display and @format inherit the 
	code_style and font.
	* examples/book.init: better conformant ouput.

2008-08-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: modify menu preformatted handling
	such that the preformatted needs not be done in the formatting 
	function. This allowed to remove simple_menu_link since now
	menu_link is always like simple_menu_link with detection of
	commands added. Now things should be right in html, and also
	xml, and with SIMPLE_MENU even for complicated nestings in 
	menus.
	Give to formatting functions for formats like @itemize, @table,
	@multitable... the information that the element is before the first
	@item, or that only commands listed in %inter_item_commands
	were seen.
	Always call $heading when a heading is seen, even if it is not
	associated with the element.
	* texi2html.init: Keep better original code end of lines in 
	@def* and put the anchor at the definition line beginning.

2008-08-21  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: simplify handling of table and list items, get
	rid of table_list_stack, instead use the regular stack.
	Close all formats closed by end of line (center and table term)
	at end of line.
	Don't call scan_line recursively in close_stack.
	Keep the styles to be reopened in next paragraphs in close_paragraph
	and not in close_stack.
	Now format_style{'table'} is only for (|v|f)table.

2008-08-20  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: parse correctly menu node with name.
	Simplify deff item opening.
	Handle *headingmarks, *footingmarks.

2008-08-19  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: images don't start a paragraph.
	@* is better as a new line with remove texi.
	Allow to have @insertcopying simply pasted during the second pass
	with INLINE_INSERTCOPYING.
	* texi2html.pl, texi2html.init, examples/*: pass all the files found
	for images.
	* docbook.init: correct @image handling and other fixes.
	* test/*: adapt to cvs and regenerate.

2008-08-18  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: in the default case, don't complete image paths
	as suggested by Reinhold. It is what makeinfo does, completing
	paths is confusing and use case is dubious. Complete paths 
	if $COMPLETE_IMAGE_PATHS is set.
	* texi2html.pl, texi2html.init: remove the possibility to have
	format_in_paragraph for any @-commands, but only for raw 
	@-commands. Otherwise the nesting may be messed up, if
	such command is closed in the middle of a paragraph, or a paragraph
	is closed in the middle of such command.
	Give simple_text formatted output for special region formatting.
	* texi2html.pl: accept accent commands followed by spaces for 
	accent command not consisting in special characters.
	Handle better documents without elements.
	Never use $_ (report from Reinhold).
	* l2h.init: move to ...
	* examples/l2h.init: comment out variables that override the
	command line.
	* examples/enable_encoding.init: new init file, should do the 
	same than makeinfo --enable-encoding.
	* test/: test suite replacing the old one in Test, with better
	design and the same files used, + texinfo test files.

2008-08-14  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: only use the basename when dumping texi.
	Really use what is in Texi2HTML::Config::CONF_DIRS, including
	during command line arguments parsing.

2008-08-13  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't mess the relative working directory by
	removing most of it (report from Reinhold).
	If the --out argument is a directory, and not splitting, this
	is considered to be the out directory and the out file is the
	manual name.
	* Tests/*: enhance and correct the test suite.

2008-08-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use the global formatting state in definitions
	argument formatting.
	Correct the max_columns count with @columnfractions.
	* texi2html.pl, texi2html.init: handle @: with punctuation
	character.
	* examples/docbook.init: new backend for docbook to produce 
	docbook like makeinfo --docbook.

2008-08-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use relative file names for hrefs for misc 
	elements (patch from Reinhold Kainhofer reinhold at kainhofer
	dot com). And also to determine if the file has to be reopened
	(report from Reinhold).

2008-08-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: move initialisations before the functions that
	use the global values.
	Treat setfilename like a normal misc command, not like titlepage
	commands.
	Set rightly (dir) as up node for Top, even if there are no automatic
	directions.
	region lines are kept to be reparsed in the last pass if in
	%region_formats_kept.
	Give also the prototypes lengths for multitables.
	@-commands in stop_paragraph_command close paragraphs.
	external nodes begin with ( (report from Reinhold).
	* texi2html.pl, texi2html.init: With USE_SETFILENAME, the filename 
	is taken from @setfilename, if found, like makeinfo.
	With IGNORE_BEFORE_SETFILENAME, everything before @setfilename is 
	ignored (now the default).
	With TOP_HEADING_AT_BEGINNING false, the top heading appears where
	top heading command is, not always at the beginning of the top
	element.
	Put %texi_formats_map (former %text_macros) and 
	%no_line_commands (former %no_line_macros) in Texi2HTML::Config.
	New function reference, definition_index_entry to format definition
	index entries separately from definition categories.
	A new funtion reference begin_format_texi to be able to do something
	at a format opening. Used to set a stack for multitable to make 
	sure that the cell is the top multitable cell. With this change, the
	begin_format_texi, row, table_list function reference are
	interdependent.
	Pass inforef macros to the formatting references, and also the *ref
	command parameters unmodified.
	New caption_shortcaption_command function reference that can be used
	when a caption is closed.
	New index_entry_command function reference used for @*index lines.
	Pass more information to def_line, cell, list_item and many others.
	add insertcopying for insertcopying formatting.
	* examples/xml.init: init file to produce xml like makeinfo --xml.

2008-08-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: parse definition lines like makeinfo
	does.

2008-08-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: pass line_nr down more functions.

2008-07-31  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use simple_format for image alt text.
	Allow no_line_macro to be set by the user, and use cindex for
	all the index commands.

2008-07-30  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add 3 function references to avoid
	using anchor for different label formatting and allows to customize
	the labels.
	Give the element in argument of more function references.
	Always give the name to simple_menu_link and menu_link, and a new 
	argument tells if there was an explicit name.
	Node names are formatted with code_style true.
	Keep @*contents for misc_command processing if it should be kept.

2008-07-29  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: a menu comment is started by a blank line, and not
	by a character at the beginning of the line.

2008-07-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle a menu_comment like a normal
	format. detailmenu isn't a misc_command anymore, but is handled like a
	normal format, like a menu @-command.
	put format opening in a separate subsection, begin_format, to be
	able to open a menu_comment right after a beginning of a menu, of
	a detailmenu, or right after the end of those commands.
	add command line option --error-limit.
	* texi2html.pl: better comment about texi2html that states more 
	clearly that the authors are the texi2html authors (from Reinhold
	Kainhofer).
	Handle better codepoints above 0xFFFF (Reinhold Kainhofer report).
	Add $Texi2HTML::THISDOC{'input_file_name'} for the file given on the 
	command line (report from Reinhold Kainhofer).

2008-07-19  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, doc/*: synchronize command-line switches with 
	makeinfo.
	* i18n/fr, Tests/*: revised french translation from Jean-Charles
	Malahieude.

2008-07-18  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: get rid of m_cedilla, instead a specific function
	for the node parsing, scan_node_line, is used.
	* Tests/formatting/detailmenus.texi: new test case for detailmenu.

2008-07-16  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: give columnfractions and row
	prototypes to the multitable cell and row formatting functions.
	* texi2html.init: use columnfractions to determine the cell
	widths.

2008-06-12  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: dynamically determine file hrefs for
	misc elements. Generalize code common for all misc elements. 
	In toc and footnotes use real filenames instead of empty filenames 
	when not split.
	monolithic option is not obsolete and does something different from 
	no split (toc, about... are in different files if set to no).
	Code cleanups in rearrange_elements.
	* Tests/*: add a test for -no-monolithic.
	* */Makefile.in: use autoconf 2.62

2008-05-18  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: complete unicode mapping for @-commands.
	* texi2html.pl, Tests/*, doc/*: separate id of element from what
	should be used to target the element. This allows to 
	use node id as target for sections (suggestion from Karl Berry). 
	This is done if $USE_NODE_TARGET is set (the default).

2008-05-16  Patrice Dumas  <pertusus@free.fr>

	* T2h_i18n.pm,i18n/*: correct the presentation of the date (report
	from Karl Berry).
	* texi2html.pl: remove an infinite loop workaround, the up for an
	element should never be itself. This has certainly be fixed on
	2008-03-20, by treating top like any other element.

2008-05-15  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, Tests/*, examples/*: handle @leq and @geq.

2008-03-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use do_unknown and unknown in pass 0 too.
	* texi2html.init, examples/makeinfo.init: honor USE_ACCESSKEY
	even if not split at node (report from Reinhold Kainhofer).
	* texi2html.pl, texi2html.init, ChangeLog: correct typo in 
	already (report from Reinhold Kainhofer).

2008-03-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, doc/*, examples/makeinfo.init: 
	use accesskey attribute and link element if set in the init file.
	Add FileNext and FilePrev directions (for link, but can be used
	anywhere).
	* texi2html.pl, examples/*: change in unknown function reference API,
	now there is a pass argument to be able to handle unknown macros in 
	other passes than the last.
	* i18n/de: update translation (Reinhold Kainhofer).
	* texi2html.pl, doc/*: handle frame files like other files, and
	document them.
	* texi2html.pl, doc/*: use do_unknown and unknown in pass 1 too.

2008-03-20  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: treat the @top element like any section element, 
	except that the previous chapter is still considered to be the 
	previous element at its level.
	Find previous and next toplevel better.
	* Makefile.am,...: better handling of mediawiki tests and regenerate
	with automake 1.10.1.

2008-03-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: @itemize should produce bullets by
	default (report from Reinhold Kainhofer, and bugfix)
	* texi2html.init: handle @click, @clickstyle, @click, @arrow,
	@clicksequence
	* texi2html.pl: defer setting the date after all initializations
	are done.
	* texi2html.pl, texi2html.init, doc: TOC_LIST_ATTRIBUTE replaced by
	NO_BULLET_LIST_ATTRIBUTE, TOC_LIST_STYLE replaced by 
	NO_BULLET_LIST_STYLE
	* Tests/formatting/comments.texi,formatting.texi,clean.texi:
	test for @click, @clickstyle, @click, @arrow, @clicksequence

2008-03-12  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/mediawiki.init: add
	the program_string reference.
	* examples/mediawiki.init: cleanup perl warnings.
	* texi2html.pl: element_file_name called with doc sets docu_doc
	and not docu_top (Reinhold Kainhofer).
	* Tests/test.sh: more robust for files with spaces.
	* Tests/*: add tests for mediawiki output.

2007-10-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: better handling of special regions.
	* Tests/*: test for more possibility regarding titlepage output 
	or not with copying output or not.
	Use the actual state for titlepage generation in print_Top.
	rename formatting-regions to formatting_regions.

2007-10-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle titlepage like other 
	special regions. 
	Don't add the index entries in footnote within special regions.
	* Tests/*: test for footnote in float caption and anchor and index
	in that footnote.
	test for titlepage with most of the constructs within.

2007-10-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: separate global variables of pass_structure and
	pass_texi, prefix some of those vaiables, and clean variable and 
	function names.
	add more information relative to the special regions.
	Treat more systematically the special regions with an initialization
	code allowing to fill the state with relevant information.
	Don't output footnote lines for footnotes not part of the document.
	Better id generation for headings in region.
	Better handling of anchors in special regions.
	Prefix the targets in special regions with t_h.
	* texi2html.pl, texi2html.init: use a formatting function for 
	documentdescription and give more arguments to copying_comment.

2007-10-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle headings more like normal
	@-commands and not like sectionning commands.
	Don't associate headings with the following index entries.
	Separate heading absolute number and heading id from section 
	number and id.
	* Tests/*: add tests for headings

2007-10-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: use relative file names for frame
	file names (report from Graham Percival).
	* texi2html.init: use entities for simple quotes in normal text.

2007-10-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, T2h_i18n.pm: keep the state in the global hash
	and use it in translations.
	* texi2html.pl, texi2html.init, examples/*, doc/*: modify the 
	normal_text function reference API, add an input variable true 
	if in simple text.
	* Tests/formatting/*: test for symbols kept in preformatted and 
	@-commands in @*ref appearing in @example.

2007-10-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: remove trailing new line in @html block (report 
	from Graham Percival).
	* Tests/formatting/block_EOL.texi: test for end of lines in raw
	block formatting.

2007-10-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: Handle @end commands entered as
	misc commands like other misc commands during pass_text.
	Don't add a space after an @end command, and don't remove it 
	when there is no reason to.
	Handle right @end block commands followed by something else than a
	spacing character (report from Graham Percival).
	* Tests/formatting/symbol_after_block.texi: test for symbols after
	@end block commands.

2007-09-30  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't have # perl on the shebang line. Report by
	Martin Koeppe.

2007-09-27  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: handle @textdegree, @hyphenation.
	* texi2html.pl, texi2html.init: reset the language for each 
	appearance of @documentlanguage (except if language was set on the
	command line). For a language like pt_BR, try pt_BR, and, if not 
	found, use pt.
	add a new function reference, print_element_header to print the 
	beginning of an element, to be able to print it right when it
	is ready, and not when starting the next element.
	Add --css-ref and --transliterate-file-names options.
	@set, @clear are kept for later passes.
	Many @-commands are now handled equally in pass_structure and 
	pass_text, and are reset at the beginning of the pass.
	* Tests/documentlanguage/multi_lang.texi: test for multiple 
	@documentlanguage changes.
	* Tests/documentlanguage/unknown_language.texi: test for 
	unknown languages.
	* Tests/formatting/comments.texi: test for @hyphenation,
	@allowcodebreaks, @fonttextsize, @frenchspacing.
	* Tests/navigation*: test for vertical headers, no section 
	navigation, use of noheader.init, for all the splitting 
	possibilities.
	* Tests/*, examples/html32.init: update html32.init and test for
	most of the formatting. Remaining invalid warnings are like:
	'"333" is not a character number in the document character set'
	even when setting charset is utf-8.

2007-09-22  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle @alias.
	* texi2html.init: handle @quote*, @guillem*, @allowcodebreaks,
	@fonttextsize commands.
	use 3 dots for @enddots, like makeinfo.
	* Tests/*: new test file for @alias. Test @quote* and @guillem*.

2007-09-11  Patrice Dumas  <pertusus@free.fr>

	* examples/tex4ht.init: chdir to the out dir only once.
	Add the texinfo comment at a better place.

2007-09-10  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: avoid content elements being defined
	only if they are used inline and the corresponding macro never 
	appeared. Avoid defining variables when there is no target. 
	* Tests/*: add tests for all the DO_CONTENTS/setcontentsaftertitlepage
	and INLINE_CONTENTS combinations when there is no @contents in the
	document.

2007-09-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle @\ and matching { } in @math.
	fix simple_style to be really used (typos in texi2html.init).
	* examples/tex4ht.init: use httexi to handle @math, since texinfo
	@-commands are allowed in @math, and httex for @tex.
	* Tests/*: add test for simple_style with a paragraph within.
	more tests for @math.

2007-08-21  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle @, command without brace like @,c. 
	Report from Jorge Barros de Abreu.
	* examples/roff.init, texi2html.init: treat @, more like other accent 
	@-commands.
	* Tests/*: more tests for accents and cedillas.
	* Makefile.am: don't write the spec file in $(srcdir).
	* *Makefile.in, configure: regenerate with automake 1.10, and 
	autoconf 2.61.

2007-06-04  Derek Price  <derek@ximbiot.com>

	* configure.ac: Update to version 1.79 for development.

	* Makefile.am: Use $(SHELL) explicitly.
	* configure.ac: Update to version 1.78 for release.

2007-06-01  Patrice Dumas  <pertusus@free.fr>

	* doc/texi2html.texi: update copyright years, clarify that the
	license in comment is the license for texi2html, not for the
	manual.

2007-04-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, texi2html.pl: when INLINE_CONTENTS is set, 
	the table of contents and short table of contents are output 
	where they are defined, except if setcontentsaftertitlepage is set.
	If setcontentsaftertitlepage is set the contents is associated
	with the title.
	Handle @setcontentsaftertitlepage and @setshortcontentsaftertitlepage.
	Don't output a navigation panel nor an about page when not SPLIT and no
	SECTION_NAVIGATION.
	* Tests/contents*: new tests for contents
	* examples/book.init,noheaders.init: update
	* doc/*: update

2007-04-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: Texi2HTML::THIS_SECTION is always defined, 
	it is empty when it has no elements.
	Print table of contents when there is no top node content
	and no Overview.
	Don't add the section title to the html title when the 
	document isn't split.
	* Tests/*: regenerate

2007-02-17  Derek Price  <derek@ximbiot.com>

	* doc/texi2html.texi: Clean out some old, commented-out cruft.

2007-02-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: set default out encoding to utf8. This could
	help with translations.
	* Makefile.am, manage_i18n.pl.in: add japanese translations, 
	from fedora.
	* doc/Makefile.am: call perl with -x when called directly on 
	texi2html.pl

2007-01-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: correctly set node filenames even if NODE_FILES
	isn't set.
	Handle right 2 @def-like commands on a line.
	Collect split and mono entry in htmlxref.cnf.
	* texi2html.init: take into account when a target is split
	in crossref. When there is a split and a mono entry, chose
	based on split.
	* examples/book.init: update to new use of directions.
	* Tests/*: new tests for htmlxref.cnf file use.
	New test for double @deffn on the same line.
	* */Makefile.in, aclocal.m4, configure: use automake 1.10 and
	autoconf 2.61.

2006-08-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: accept - in @-command names.
	ignore @allow-recursion and @quote-arg.
	In macro args parsing, a comma in brace is protected.
	Rewrite index names handling to be simpler and
	accept more than one prefix for an index name. The main 
	hash has now index names as key instead of prefixes.
	* Tests/*: add the tar manual.
	add macros/quote-args.txi from the makeinfo test suite.

2006-08-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: use the same code for file 
	name determination with NODE_FILES than with the traditional 
	scheme. node_file_name is now used only to change the node 
	file name, not for the determination of the html page file 
	name anymore.
	With this change the top file isn't necessarily index.html, 
	even if it is the node_file_name it is index.html only if 
	explicitly set.
	* texi2html.pl: simplify index handling code.
	when NODE_FILES is true, use the node file name for the html
	files whenever possible.
	* Tests/*: Regenerate
	* NEWS, doc/*: document the api node_file_name api change

2006-08-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: fixes for split indices.
	Fix detection of already present heading.
	Don't split top element accross pages because of split indices.
	Simplify the file name determination.
	* Tests/*: add a test case for split indices in chapter
	and more tests for split indices.
	Put index_nodes result in a directory.
	Regenerate.

2006-06-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: Accept empty value set by @set (bug #16774).
	Don't eat the line after a macro without arg (bug #16773).
	* Tests/*: test for those issues.

2006-05-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: rework image formatting,
	more is done in the formatting functions.
	Redundancy between menu entry and menu description is 
	handled in the formatting functions.
	* texi2html.pl:
	Close correctly the @-commands in pass_structure.
	Remove unneeded error messages for formats not matching when
	it cannot happen.
	Use the same element in menu description and menu links.
	Try to close paragraph when searching for the right format
	to close.
	Remove unclosed accent commands from the 'command_stack'.
	Indentation fixes.
	* T2h_l2h.pm: use the document name in the perl cache name.
	* Tests/*: more tests for unclosed @-commands.

2006-05-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: teletype style is set in 
	table item formatting in texi2html.init, not in the main
	program.
	Add the formats to the 'command_stack' ('style_stack' is renamed
	to 'command_stack').
	Clean the 'cmd_line' related code.
	End of lines are removed in formatting function related with
	'cmd_line', not in the main program.
	Commands surrounding paragraphs aren't handled in the 
	main program anymore, but using 2 'command_stack', one at the
	beginning of the paragraph and one at the end of the paragraph.
	rename 'name' of element to 'text_nonumber'.
	call heading_texi even for nodes.
	give more information to index_element_heading_texi such that
	it is easier to customize those headings.
	Handle NUMBER_SECTIONS in heading_texi and not in the main program
	styles considered to be simple may be customized.
	indentation cleanups.
	* texi2html.pl: handle @center like a regular format. Many
	fixes for @center.
	rename some hash keys to avoid hash keys name clashes.
	revert a change in merge_element_before_anything such that it is
	only done for the first node.
	more duplicate_stack when giving the state to a formatting
	function. This has the added benefit that it sets the command_stack
	at preformatted beginning to the current command_stack, which is right
	in thoses case (it is done by begin_paragraph in other cases).
	protect end of lines with @
	only for deff, and in that case protect it better.
	remove unneeded spaces added during close_stack.
	use begin_paragraph_after_command to generalize reopening of paragraph
	after a commmand, replace automatic_preformatted.
	Use iso entities in titles (in simple_format).
	* Tests/formatting/def_cmds.texi: test file only for def stuff 
	(excerpted from formatting.texi with additional tests).
	* Tests/formatting/center.texi: test file only for center 
	(excerpted from verbatim_html.texi with addtional tests).
	* Tests/formatting/tables.texi: test file with tests for tables.
	* doc/texi2html.texi: update.

2006-04-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, T2h_l2h.pm: handle @tex,
	@verbatim and @verbatiminclude in @copying comments (with 
	'remove_texi').
	Handle @float and @need at the right place.
	* texi2html.init: More cleanings of -- in html comments.
	* Tests/*: add test for @tex and @float in @copying, for
	@node in @copying.

2006-04-17  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: hanldle rightly centerchap.
	Footnote really appear at the foot of the file when there are
	different nodes in one file.
	* texi2html.pl, MySimple.pm: avoid Getopt::Long warning when
	trying obsolete options.
	* texi2html.pl: handle more sanely some special @-commands
	(@anchor, @*index) in @copying and similar regions, by associating
	them with top element and ignoring them during expansions that
	are done more than once.
	Set titlefont if @titlefont appears before any sectionning command.
	Collect the @-command associated with index entries.
	Collect all the index entries even the wrong ones, during 
	pass_structure, but don't add the wrong ones to the per index hash.
	* Tests/*: test @centerchap.
	Better tests for not separated footnotes.

2006-04-10  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use nodes for refs with USE_NODES.
	Handle right footnotes at the end of the document and 
	SEPARATED_FOOTNOTES false.
	* Tests: test for footnotes  at the end of the document and 
	SEPARATED_FOOTNOTES false. More tests.

2006-04-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: really use roman type for @r.
	Format @key more in line with what is done in texinfo, and makes
	more sense.
	* texi2html.pl, texi2html.init: use a function reference to define
	the numbered heading texinfo, and the index page headings texinfo.
	* texi2html.pl: don't take into account new indices with 
	index name clashing with existing indices, or with file extensions
	(because texi2dvi uses the index name as file extension).

2006-04-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: take into account the equivalent nodes (after
	@-commands removal) when a node isn't found.
	* texi2html.pl, texi2html.init: new variable $TOP_NODE_UP used
	for the top node up node name with automatic top node directions.
	Another variable $USE_MENU_DIRECTIONS. When unset the missing
	node directions are not set using the information given by menus.
	Use entities for OPEN_QUOTE_SYMBOL and CLOSE_QUOTE_SYMBOL with
	$USE_ISO.
	Use sectionprev, sectionnext and sectionup for section directions.
	next, prev are set more sanely. up still means the same.
	* texi2html.pl: Remove element_next, element_prev and 
	element_up. They were duplicating sectionup or useless.
	Homogeneize and clean the coding style, remove comments.
	Don't reset %Texi2HTML::NAME/NO_TEXI... such that a ref to those
	structures is valid.
	* Tests/formatting/equivalent_nodes.texi: test equivalent nodes.
	* Tests/*: test for different quotes. Test for more directions.

2006-03-27  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,texi2html.init: if $TRANSLITERATE_NODE is set
	transliterate the non ascii characters in node names as 
	discussed on the texinfo list. Optionally Use Text::Unidecode
	to do more transliteration that what is available through the
	maps ($USE_UNIDECODE set).
	Some changes for better node targets generation.
	Really put more than one node in a file if needed.
	* configure.ac: Text::Unidecode detection.
	* Tests/formatting/node_*translit*: test for node names
	transliteration.

2006-03-27  Patrice Dumas  <pertusus@free.fr>

	* examples/chm.init: set the encoding conditionnaly on OUT_ENCODING
	being defined.
	* texi2html.pl,texi2html.init: add $USE_NUMERIC_ENTITY variable,
	set to true in the default case. Use numeric entities for accented
	letters if this variable is true.
	Use numeric entity for @l{} and @L{} instead of /l and /L.
	* examples/chm.init: use numerical entities instead of textual
	entities for @oe, @OE and @euro, some viewers have trouble with
	the corresponding textual entities.

2006-03-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init,texi2html.pl: clean the encoding related code by 
	adding more variables associated with the different encodings.
	Remove unneeded conversion code, given that the text is already
	in the perl internal encoding.
	* doc/, NEWS: document the changes.
	* texi2html.pl: put explicitely the ref on hashes in the main 
	namespace such that they are usable in init files.
	* Tests/: new tests for the utf8.init file, tests for doubly accented
	characters.
	* examples/chm.init: don't try to output utf8 encoded files, as
	htmlhelp 1.x doesn't seems to be utf8 aware.
	* examples/utf8.init: encode characters in preformatted environments.

2006-03-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: handle @indent. Remove an empty line
	generated by @indent and @noindent.
	Add an end of line after a complex format.
	* texi2html.init,texi2html.pl,examples/roff.init: add an indent 
	information to the paragraph command.
	* doc/, NEWS: document the changes.
	* T2h_l2h.pm: merge init_to_latex() into init().

2006-01-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,Makefile.am,buildt2h.sh: move latex2html stuff
	out of texi2html.pl, to T2h_l2h.pm.

2006-01-27  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't remove spaces around @-commands in xhtml
	refs.
	add back caching of html generated by latex2html. More accurate
	counts and error messages for latex2html and other cleanings.
	Cleaner interface for debug and verbose with main namespace.
	* Tests/formatting/at_commands_in_refs.texi: test for @-commands
	in external ref.

2005-11-30  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/tex4ht.init, doc/*: 
	allows customization of CSS_FILES in init_handler and adding to 
	css lines by the process handler.
	* Tests/singular: use png images.
	* i18n/,translation.pl: updated pt translations from Jorge Barros 
	de Abreu.

2005-11-29  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add a possibility to
	set the user and date with the USER and DATE variables.

2005-11-27  Patrice Dumas  <pertusus@free.fr>

	* i18n/,translation.pl,manage_i18n.pl.in: update pt and add 
	pt_BR translation, from Jorge Barros de Abreu.

2005-11-14  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: remove the @special_regions array. Special 
	regions are parsed like raw regions but are handled especially.
	* texi2html.init: add a space after <!-- for comments.
	* NEWS, examples/tex4ht.init: new init file. With this init file 
	httex or htlatex from tex4ht is used to process @tex and @math.
	* texi2html.spec.in: cleanups.
	* Tests/*: add forgotten files to cvs. regenerate.
	* doc/*: document the handling of raw regions as special regions.

2005-08-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: better interface for the handling of @commands 
	and special regions. Use that interface for LaTeX2HTML.
	It fixes a bug with a space added after @math or @end tex with
	l2h. 
	Fix handling of unknwown commands.
	* doc/* NEWS: document that feature
	* Tests/formatting_res/*: update. Test for unknown commands
	handling.

2005-08-24  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: better redirection pages formatting. 
	* Makefile.am: use a variable for the i18n files
	* */Makefile.in: regenerate
	* Tests/*: commit forgotten files and update.
	* Tests: remove duplicate manuals and rcs tags in manuals.

2005-08-23  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init: don't use ucfirst as it relies on the current
	locale language, not the document language, instead set first 
	uppercase character in description.
	Translate button names.
	* texi2html.pl, texi2html.init: cleanings. Correct overprotection 
	of alt text for images. Avoid calling protect_text in the main 
	program for raw text, left it to the formatting functions, but
	call it for formatted and simply formated text. 
	More formatting of normal text is done outside of the main program,
	more context information is given to normal_text and normal_text
	has to protect whatever needs to be. 
	properly remove closed @-commands from the style_stack. 
	unformatted and UNFORMATTED are replaced by simple_format and
	SIMPLE_TEXT. Still not documented as it may change.
	Change images formatting function call.
	Handle @sc in normal_text to avoid upper-casing html entity 
	characters.
	Use entities for ``, '', --- and -- if USE_ISO is set.
	* examples/roff.init: update.
	* doc/texi2html.texi: update.
	* Tests/formatting/*: test for translations with icons.
	

2005-08-22  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: use node_file_name for the top
	element too. Honor $TOP_FILE in node_file_name.
	don't set $TOP_FILE and $TOC_FILE if not set by the user. The elements
	file names are in the hash reference $Texi2HTML::THISDOC{'filename'}
	for use in init files.
	* doc/texi2html.texi: document $Texi2HTML::THISDOC{'filename'}.
	* examples/chm.init: update to the new interface.
	* examples/makeinfo.init: format the menus like makeinfo do. set
	NODE_FILES true.
	* Tests/*: rearrange, update. Test for novalidate split and unsplit.

2005-08-22  Derek Price  <derek@ximbiot.com>

	* examples/mediawiki.init (mediawiki_simple_menu_link): New function.

2005-08-22  Derek Price  <derek@ximbiot.com>

	* texi2html.init (t2h_default_simple_menu_link): Don't add &nbsp; when
	in preformatted mode.

2005-08-21  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, doc/texi2html.texi:
	add the possibility, with SIMPLE_MENU to have a menu simply enclosed
	in a preformatted environment. Maybe fixes bug #14233. 
	* Tests/formatting*, Tests/test.sh: more tests for menus, SIMPLE_MENU. 

2005-08-19  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: Add support for nested ifset and ifclear. Re-add check 
	option for backward compatibility. Just exit if this option is set.
	Handle @tie.
	* Tests/*: more tests, especially for ifset and macros.
	* doc/texi2html.texi: add a section about differences with 
	other texinfo interpreters.
	add a section about the incompatibilities with previous versions.
	* examples: add my-bib-macros.texi bib-example.texi and glossary.texi.
	* texi2html.spec: remove the Epoch tag.

2005-08-16  Patrice Dumas  <pertusus@free.fr>

	* images/COPYING: replace with the Singular COPYING. Move to ...
	* images/COPYING.Attribution-ShareAlike: ... add
	* images/README,images/GPL: add these files to have a double licencing
	for the images. This close #14052.
	* Makefile.am: distribute and install the added files.

2005-08-12  Derek Price  <derek@ximbiot.com>

	* examples/mediawiki.init: Really override use of <samp> with <code>,
	correcting commit from the 3rd.

2005-08-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,README,configure.ac,Tests/*_res/,doc: 
	refer to the web pages and mailing lists at savannah/nongnu.org.

2005-08-09  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: remove section_next as it is not used. Use
	next when determining what is the following node for a
	section using up elements. Avoid infinite loops. 
	Report on bbdb.texinfo from ?. This close bug #13825. 
	Never set the menu_up when in detailmenu.

2005-08-09  Patrice Dumas  <pertusus@free.fr>

	* Tests/floats_res/*: Add test results for floats with @-commands.

2005-08-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,texi2html.init: don't handle quotation second arg
	as quotation don't have a second arg.
	* Tests/formatting/quotation.texi: add tests with ,
	* doc/texi2html.texi: update

2005-08-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: set the file name to the default file name if it 
	is undefined after the possible call to element_file_name. 
	Set the type to "top" for the top element.
	Never add an extension to TOC_FILE and TOP_FILE.
	* examples/book.init: update
	* doc/texi2html.texi: update

2005-08-03  Derek Price  <derek@ximbiot.com>

	* examples/mediawiki.init: Override use of <samp> with <code> since
	MediaWiki don't like it.

2005-07-28  Derek Price  <derek@ximbiot.com>

	* Makefile.am (dist_images_DATA): Restore reference to images/*,
	reversing change from 2005-07-19.

2005-07-28  Derek Price  <derek@ximbiot.com>

	* NEWS: Note file name override, mediawiki example, and empty file
	name extension fix.

2005-07-28  Derek Price  <derek@ximbiot.com>

	* images/*.png: Restore these files, reversing change from 2005-07-19,
	since RMS has declared that any free license is OK for image files and
	other data that is a secondary part of a program.
	* NEWS: Remove note about images/* removal.

2005-07-25  Derek Price  <derek@ximbiot.com>

	* examples/mediawiki.init: New file.

2005-07-25  Derek Price  <derek@ximbiot.com>

	* texi2html.pl: Allow substitution of all document file names.

2005-07-19  Derek Price  <derek@ximbiot.com>

	* Makefile.am (dist_images_DATA): Don't reference missing image files.

2005-07-19  Derek Price  <derek@ximbiot.com>

	* texi2html.pl: Don't add the file extension when it is empty.  Some
	cleanup.

2005-07-19  Derek Price  <derek@ximbiot.com>

	* images/*: Remove these files since they are distributed under a
	license incompatible with the GPL.
	* NEWS: Note images/* removal.  Repair some grammar.
	s/Automake 1.9.3/1.9.5/.

2005-07-12  Derek Price  <derek@ximbiot.com>

	* T2h_i18n.pm, check_texinfo.pl.in, manage_i18n.pl.in,
	missing-texi2html, texi2html.pl, doc/stamp-vti, doc/texi2html.1.in,
	doc/texi2html.html, doc/texi2html.texi, doc/version.texi,
	images/COPYING: Replace FSF copyright notices.

2005-07-08  Derek Price  <derek@ximbiot.com>

	* images/*.gif: Convert all these files to...
	* images/*.png: PNG format.
	* images/COPYING: Paste in full text of Creative Commons License.

2005-07-07  Derek Price  <derek@ximbiot.com>

	* COPYING, T2h_i18n.pm, check_texinfo.pl.in, manage_i18n.pl.in,
	texi2html.pl, missing-texi2html, doc/texi2html.texi: Update FSF address
	in Copyright notice and Copyright years.
	* INSTALL, install-sh, mdate-sh, missing, mkinstalldirs, doc/mdate-sh,
	doc/texinfo.tex: Update from Automake 1.9.5.
	* Makefile.in, aclocal.m4, doc/Makefile.in: Regenerated with
	Automake 1.9.5.

2005-05-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: use Cwd in package Texi2HTML::LaTeX2HTML;

2005-03-29  Patrice Dumas  <pertusus@free.fr>

	* examples/chm.init: Protect attributes on generated HHC and HHK.
	patch from jrfonseca (Jose Fonseca). Issue #12.
	* texi2html.pl: @CONF_DIRS is global.

2005-03-21  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init,texi2html.pl: new option --conf-dir to specify
	directory for config and init files.

2005-03-09  Derek Price  <derek@ximbiot.com>

	* texi2html: Use the Cwd module for cross-platform portability.
	(Thanks to a report from Vincent LaBella <VLaBella@uamail.albany.edu>.)

2005-03-07  Derek Price  <derek@ximbiot.com>

	* texi2html.pl:  Comment end of Texi2HTML::Config package.

2005-02-27  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init,texi2html.pl: handle @frenchspacing.
	* Tests/formatting/comments.texi: test for @frenchspacing.

2005-02-13  Patrice Dumas  <pertusus@free.fr>

	* README,doc/texi2html.texi: update.
	* buildt2h.sh: add this script, a simple wrapper around the sed 
	one-liner that builds the texi2html script. The arguments are the 
	files concatenated, determined by make.
	* Makefile.am: handle buildt2h.sh.

2005-02-13  Patrice Dumas  <pertusus@free.fr>

	* INTRODUCTION: remove and merge content in...
	* README: ...merge with INTRODUCTION content and update.
	* Makefile.am,doc/Makefile.am: protect @ in sed one-liners
	such that configure doesn't replace the variables in the
	Makefile.
	* doc/texi2html.1.in: update and add explanation for more 
	command line options.

2005-02-12  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle def command with x (like @deffnx) within
	deff command paragraph (construct is in octave manual).
	* Tests/*: test for deffnx within deff command paragraph.

2005-02-12  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl,texi2html.init: accept first arg for def like
	commands. 
	handle construct like @deffn{something} (bug report found on the 
	web about the octave manual from Nelson H. F. Beebe).
	* Makefile.am: remove dist-local: texi2html, as texi2html is not
	distributed.
	* Tests/*: test for more deffnx constructs.

2005-02-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (texi2html_SOURCES): Rename to...
	(texi2html_sources): ...this to avoid an Automake 1.9.4 warning.

2005-02-06  Derek Price  <derek@ximbiot.com>

	* texi2html.pl (#!): Let `perl texi2html.pl' work.
	* missing-texi2html: Handle `perl texi2html.pl' rather than a single
	script.
	* doc/Makefile.am (texi2html.html): Call `$PERL texi2html.pl' to avoid
	dependency on texi2html.

2005-02-06  Patrice Dumas  <pertusus@free.fr>

	* Makefile.am: manage_i18n.pl is created by ./configure therefore
	at $(top_builddir).
	add html-local and dist-local such that the texi2html script is
	built with make html or make dist.
	* doc/Makefile.am: texi2html.html depends on the texi2html sources, 
	not on the script.
	* README, doc/texi2html.texi: advertise the required perl version
	and the modules used in the scripts.

2005-02-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: fix broken detection of USE_UNICODE.

2005-02-06  Patrice Dumas  <pertusus@free.fr>

	* manage_i18n.pl: remove and replace with...
	* manage_i18n.pl.in: ... added
	* configure.ac, manage_i18n.pl.in: detect whether it is possible to 
	do the translations buildup (--enable-translations).
	* doc/Makefile.am: rebuild texi2html as a dependency for the manual.
	(trick from Derek).
	* doc/texi2html.texi: sync.
	* Makefile.am,manage_i18n.pl.in: add command line arguments to
	manage_i18n.pl.in such that it is possible to build from outside of 
	the source dir.
	* Makefile.am: have texi2html depend on $(texi2html_SOURCES) otherwise
	the texi2html isn't rebuild when out of date.

2005-02-05  Derek Price  <derek@ximbiot.com>

	* NEWS: Note use of Automake 1.9.3.

2005-02-05  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Remove texi2html.1 and add texi2html_configure.pl.
	* Makefile.am: Some reformatting.
	(EXTRA_DIST): Add texi2html.spec.in.
	(texi2html): Make target executable.
	(texi2html.spec): New target.
	(man_MANS): Move to...
	* doc/Makefile.am (man_MANS): ...here.
	* configure.ac: Don't generate texi2html.1 or texi2html.spec.  Remove
	old comments.
	* texi2html.1.in: Move to...
	* doc/texi2html.1.in: ...here.
	* doc/.cvsignore: Add texi2html.1.

2005-02-05  Patrice Dumas  <pertusus@free.fr>

	* Makefile.am,configure.ac: don't rely on configure to build the
	texi2html script, paste the different perl source files in make,
	with a sed one liner.

2005-02-04  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Remove translations.pl.
	* translations.pl: New file.

2005-02-04  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Add *.zip & translations.pl.
	* Makefile.am: Make sure translations.pl is built in srcdir.

2005-02-04  Derek Price  <derek@ximbiot.com>

	* configure.ac: Make .zip archives as part of `make dist'.
	* doc/Makefile.am (texi2html.html): Depend on files in srcdir, not
	builddir.

2005-02-03  Derek Price  <derek@ximbiot.com>

	* configure.ac: Update to dev version 1.77.
	* NEWS: Add section 1.78.

2005-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't use exists for reference in an array, for
	old perl. Report from Sven de Vries.
	* T2h_i18n.pm: remove useless use that prevented to run on IRIX. 
	Report from ezra peisach.
	* Tests/*: remove some $ Id : ChangeLog,v 1.191 2005/02/07 05:10:11 dprice Exp $ rcs tags

2005-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: require perl 5.00405 for File::Spec (report from
	Ezra peisach).

2005-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't use open with three args, use binmode (for
	old perl, reported by Sven de Vries).
	* doc/Makefile.am: rebuild the manual based on the sources, not 
	on the script, as it is remade by ./configure. Use the rebuild
	of the manual as a check target (ideas from Derek).
	* Tests/*: test for results with USE_UNICODE set to 0.

2005-02-01  Derek Price  <derek@ximbiot.com>

	* configure.ac: Revert most of the PERL change.

2005-02-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init, examples/chm.init: remove our keywords for old
	perl (reported by Sven de Vries).

2005-02-01  Derek Price  <derek@ximbiot.com>

	* Makefile.am (EXTRA_DIST): Include missing-texi2html.

2005-02-01  Derek Price  <derek@ximbiot.com>

	* NEWS: Note that Perl is no longer required to build.
	* configure.ac: Don't search for texinfo programs handled by Automake.
	Declare PERL a precious var.  Exit when not found and not set.  Warn
	when set to a relative path.
	* missing-texi2html, doc/texi2html.html: New files.
	* doc/.cvsignore: Add more intermediate files.
	* doc/Makefile.am: Remove targets autogenerated by Automake.
	(EXTRA_DIST): Distribute texi2html.html.
	(texi2html.html): Call texi2html via missing-texi2html.

2005-01-31  Derek Price  <derek@ximbiot.com>

	* configure.in, NEWS: Update for development.
	* configure.in: Rename to...
	* configure.ac: ...this, to match current Autoconf standards.

2005-01-31  Derek Price  <derek@ximbiot.com>

	* configure.in, NEWS: Update for the 1.74 release.

2005-01-16  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: more robust handling of deffn lines.
	The argument may be in bracket, therefore there is no difference
	beteen arg and other item specification for def like commands.
	* Tests: test for more deffn lines, and for @-commands in floats.
	* doc/texi2html.texi: update.

2005-01-16  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: close quotes within html elements. Apply commands
	to @item lines in table after leading and trailing spaces removal.
	* Tests: regenerate.

2005-01-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle explicitely formats that don't
	trigger paragraph opening. Handle all commands even those that aren't
	used. End lines more correctly. 

2004-12-29  Derek Price  <derek@ximbiot.com>

	* NEWS: Date the 1.72 release.

2004-12-29  Derek Price  <derek@ximbiot.com>

	* configure.in: Update for 1.72 release.
	* Makefile.in, aclocal.m4, configure, Tests/Makefile.in,
	doc/Makefile.in, doc/stamp-vti, doc/version.texi: Regenerated.

2004-12-29  Derek Price  <derek@ximbiot.com>

	* README: Remove obsolete note about using shar for binary attachments
	to mailing lists.

2004-12-29  Derek Price  <derek@ximbiot.com>

	* config.guess, config.sub: New files from Automake.

2004-12-13  Patrice Dumas  <pertusus@free.fr>

	* INTRODUCTION, README: update with dev mailing list. Advertise the
	manual as being rather complete.
	* Makefile.am,Makefile.in: build in . before doc, as texi2html is 
	needed to rebuild the doc.

2004-12-11  Patrice Dumas  <pertusus@free.fr>

	* texi2html.init,examples/roff.init,examples/html32.init,
	examples/inlinestyle.init,NEWS: add support for @euro, @sansserif.
	* Tests: test for @euro, @sansserif, deff arguments with braces
	appearing within the argument (and not at the beginning). Sync.

2004-12-11  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: internal targets and targets of 
	cross refs are valid as XML identifiers. This is compatible with the
	updated specification presented in the texinfo manual in the node 
	HTML Xref.
	* doc,Tests: sync.

2004-11-22  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: handle right deff arguments with braces appearing
	within the argument (and not at the beginning).

2004-10-08  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: add a mail address to the --help screen (idea from 
	Karl Berry).

2004-10-06  Patrice Dumas  <pertusus@free.fr>

	* configure.in: add the lines asked for by Thomas Esser for addition
	to teTeX.
	* Makefile.in...: regenerate with automake 1.9.1.

2004-10-06  Patrice Dumas  <pertusus@free.fr>

	* Makefile.am: use $(PERL) and $(srcdir) in manage_i18n.pl rule
	(idea of Karl Berry).

2004-08-13  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl, texi2html.init: Cross refs are done according to the 
	specification presented in the texinfo manual in the node HTML Xref.
	The "external source of information" is also used although it isn't
	formally part of the specification.
	Handle novalidate better.
	* Tests: sync.

2004-08-07  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl, texi2html.init: handle @slanted and @abbr.

2004-06-27  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl, T2h_i18n.pm, manage_i18n.pl: Re enable compatibility 
	with perl older that 5.6, by changing most of our to use vars, and 
	some other to my.

2004-06-13  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl: split close_stack in 2, one for the last pass the other
	for the previous passes.
	Simplification of the code handling paragraph closing.
	More macros don't begin paragraphs.
	Pass opened commands through @tab and @item.
	Every @def* is considered to have arguments.
	continue the @def* line if there is a @ at the end line.
	* texi2html.pl, texi2html.init: Handle @float, @listoffloats, 
	@caption, @shortcaption,
	@ordf, @ordm, @registeredsymbol, @deftypecv, @LaTeX, @indicateurl,
	@docbook, @ifdocbook, @ifnotdocbook,
	@comma, @headitem, @quotation second arg, @acronym second arg.
	@url is now a synonym for @uref.
	* doc/texi2html.texi: bring up-to-date.

2004-04-28  Patrice Dumas  <pertusus@free.fr> 

	* T2h_i18n.pl, texi2html.pl: pass the state to the internationalized
	strings if needed. 

2004-04-28  Patrice Dumas  <pertusus@free.fr> 
	
	* texi2html.init, texi2html.pl: generate unformatted text with 
	text protected and %unformatted_text_* hashs used.
	use unformatted text in <title> element.
	put preparation of special styles in texi2html.init.
	copying_comment formats the copying comment.

2004-04-26  Patrice Dumas  <pertusus@free.fr> 

	* example/book.init: stick to the same style for manual not split at
	node.
	* texi2html.pl: handle better @today even in non english cases.
	don't use (encoding) in open, but set it in binmode (perl seems
	unhappy otherwise ?).
	* texi2html.init: don't enclose paragraph in <p> when it is the first
	paragraph of enumerate or itemize, as the <li> is already something
	like a begining of paragraph.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore texi2html.spec.

2004-03-25  Derek Price  <derek@ximbiot.com>

	* NEWS: Add section for 1.72.
	* configure.in: Update to dev version 1.71.  Generate texi2html.spec.
	* texi2html.spec: Move this file...
	* texi2html.spec.in: ...here and replace some strings with text
	generated by configure.
	* Makefile.in, configure, doc/stamp-vti, doc/version.texi: Regenerated.

2004-03-24  Patrice Dumas  <pertusus@free.fr> 

	* NEWS: fill 1.70 section.
	* configure.in, texi2html.spec: update version.
	* Makefile.in: regenerate, now it doesn't want config.guess.

2004-03-23  Patrice Dumas  <pertusus@free.fr> 

	* Makefile.am, texi2html.spec: add a spec file usefull to build 
	a rpm.
	* doc/Makefile.am: install texi2html.html in $(datadir)/texinfo/html 
	as discussed on the texinfo/automake mailing lists.

2004-03-22  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl: get language files before testing for language hash.
	* Makefile.am: add a rule for translations.pl.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Add section for 1.70 release.
	* configure.in: Update for 1.69 dev version.
	* configure: Regenerated.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Add date to 1.68 release.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* NEWS: Update Automake & Autoconf versions in developer info section.

2004-03-20  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore the distribution archives.
	* Makefile.am (texi2html_SOURCES): Add and use to avoid having to
	maintain two lists of files.
	* configure.in: Update to version 1.68 for release.
	* Makefile.in, configure: Regenerated.
	* doc/stamp-vti, doc/version.texi: Regenerated.

2004-02-26  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl, texi2html.init: change $DOCUMENTDESCRIPTION to
	$DOCUMENT_DESCRIPTION for consistency.
	if $ENCODING is '' don't put it in the headers.
	add a new entry to $Texi2HTML::THISDOC: 'title_texi', the title
	with texinfo @-commands.
	* examples/chm.init: don't convert to utf8 in the html files 
	generated (unless the encoding is really utf8), but produce 
	utf8 in hhc, hhk and hhp files whatever the encoding is.
	* doc/texi2html.texi: update.

2004-02-23  Patrice Dumas  <pertusus@free.fr> 

	* Makefile.am: ask for a version above 1.7 for automake.
	* Makefile.in...: regenerate with automake 1.8.2 autoconf 2.59.
	* texi2tml.pl, texi2html.init, examples/chm.init: add a new variable
	$DOCUMENTDESCRIPTION. If it is undef, @documentdescription is used
	or the long title. If it is set but empty no description <meta> element
	is used, if it isn't empty, the value is used in the description
	<meta> element.

2004-02-11  Patrice Dumas  <pertusus@free.fr> 

	* Makefile.am: add T2h_i18n.pm texi2html.init MySimple.pm and l2h.init
	to the distribution.

2004-02-11  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl: use the manual name (file basename) as default output
	directory when split.
	* NEWS, Tests/test.sh: update.

2004-02-11  Derek Price  <derek@ximbiot.com>

	* Tests/GermanNodeTest/.cvsignore, Tests/index_table/.cvsignore,
	Tests/macros/.cvsignore, Tests/sectionning/.cvsignore,
	Tests/ccvs/.cvsignore, Tests/nodes_texinfo/.cvsignore,
	Tests/texi2html/.cvsignore, Tests/texinfo/.cvsignore,
	Tests/viper/.cvsignore, Tests/viper_monolithic/.cvsignore,
	Tests/xemacs/.cvsignore, Tests/xemacs_frame/.cvsignore,
	Tests/formatting/.cvsignore: New files to suppress warnings about files
	created by the test scripts.

2004-02-11  Derek Price  <derek@ximbiot.com>

	* Makefile.am (bin_PROGRAMS): Move...
	(bin_SCRIPTS): ...here.
	(texi2html_SOURCES): Remove unused variable.

2004-02-10  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl: put the code related with cross references in the 
	main namespace.
	* Makefile.am: remove T2h_unicode.pm, T2h_nounicode.pm.

2004-02-10  Patrice Dumas  <pertusus@free.fr> 

	* texi2html.pl: put cross manual reference and unicode related
	functions in the main program (instead of T2h_unicode.pm,
	T2h_nounicode.pm).
	Don't add no-... options when there are already the options added.
	* T2h_unicode.pm, T2h_nounicode.pm: remove.

2004-02-07  Patrice Dumas  <pertusus@free.fr> 

	* T2h_unicode.pm, T2h_nounicode.pm: make global variables lexical
	variables.
	* texi2html.init: output header if there is only one section.
	* Tests/: more tests for the new cross references scheme.
	* doc/: use a newer texinfo.tex. Be texi2dvi friendly.
	* Tests/Makefile.am: comment out check-local, it isn't ready.

2004-02-06  Derek Price  <derek@ximbiot.com>

	* T2h_unicode.pm, T2h_nounicode.pm: Declare some otherwise undeclared
	variables as global variables.

2004-02-06  Derek Price  <derek@ximbiot.com>

	* doc/Makefile.am (txt): New targets to convert .texinfo files into
	text.
	* doc/.cvsignore: Ignore texi2html.txt.

2004-02-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, T2h_unicode.pm, T2h_nounicode.pm: 
	when called with --test, @today value is fixed.
	Find the relative path leading back to the current directory from
	the output directory, such that the path to the image files are right.
	Use a ref on the Texi2HTML::Config hashes such that changing the
	hash used is easy. This is used in T2h_unicode.pm and 
	T2h_nounicode.pm for expansion of nodes in external refs.
	Add special styles early.
	A new variable NEW_CROSSREF_STYLE. If true the new scheme for html 
	cross refs proposed onthe texinfo list is used for @ref.
	* Tests/formatting/test_refs.texi, Tests/formatting/cross_refs.init: 
	new files used to test the new cross ref scheme.

2004-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: call the $index_summary_file_* 
	function references for all the indices, even those not printed. 
	* examples/chm.init: enhancements based on the Peter Verhás
	implementation (t2h.pl) and languages codes based on the docbook 
	xslt.

2004-02-03  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add $EXTENSION variable, holding
	the extension for files.
	Add $Texi2HTML::THISDOC{'file_base_name'} and
	$Texi2HTML::THISDOC{'destination_directory'} such that it is possible
	to construct file and directory names in init files.
	Add $finish_out function reference called at the end of document
	outputting.
	Add $index_summary_file_begin and $index_summary_file_end to ease
	special index files generation.
	* examples/noheaders.init: perform better when split.
	* examples/chm.init: new init file to generate chm files (after 
	compilation by a windows application, leads to windows help files).
	After José Fonseca (jrfonseca at users dot berlios dot de) work on 
	an older texi2html.
	* l2h.init: Set NO_SUBDIRS to 1, don't set html version.

2004-01-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: reopen styles in preformatted environments.
	When there is a complex format or a table or the like the opened
	styles are kept such that they are reopened when there is a paragraph
	or a preformatted within the format.
	* T2h_unicode.pm: use the right code point for dotless i.
	* Tests/*: add tests for formats imbricated in style command.
	add tests for latin1 and utf8 encoded files.
	add tests for ifset and ifclear in macros.
	* Makefile.am: add the new source files and init files.

2004-01-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, T2h_unicode.pm, T2h_nounicode.pm: 
	Handle encodings.
	It is possible to customize what is outputted in string context, when 
	removing texinfo commands.
	Handle @email and @image better in string context.
	Use unicode instead of utf8 in variable names when it is really
	unicode.
	cross_manual_links is done in Texi2HTML::Config in T2h_unicode.pm
	in case the perl version is above 5.8, in T2h_nounicode.pm otherwise.
	add @NODE_FOOTER_BUTTONS for buttons at the footer of nodes. 
	Add two more function references, element_file_name and node_file_name 
	used to customize the file names.
	Don't warn when the character is not a precomposed unicode character,
	as it is possible to have totally valid character, not precomposed.
	Use us-ascii as default charset encoding.
	* examples/book.init: an init file based on the scriptbasic manuals
	file which formats manuals like books (no menu but tables of
	contents for the element under each element).
	* examples/utf8.init: use utf8 in strings.
	* doc/texi2html.texi: document the new elements of the interface.


2004-01-19  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/*: New variables $DO_CONTENTS 
	and $DO_SCONTENTS, $OPEN_QUOTE_SYMBOL and $CLOSE_QUOTE_SYMBOL.
	Use a hash for the files such that each element may be associated with
	any file name and written down to that file. This should enable
	customization of the file names.
	print_Top_header and print_Top_footer are called from the main program. 
	Add Texi2HTML::THIS_ELEMENT holding the current element structure.

	* doc/texi2html.texi: document the new variables and the new interface
	with a hash reference for style @-commands.

2004-01-12  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: --- and `` are kept in first arg of 
	uref and email 

2004-01-11  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: parse arguments separated with , in
	main program. 
	Use a new interface for style commands with a hash instead of a string.
	The old interface is still available.
	Give a type to the style_map commands (accent, style, simple or
	special).
	Normalise spaces for @url, @uref and @email.
	Handle better ignored regions end (at end of file or before @).
	Don't reinject @-commands after closing paragraphs.
	Add a hash for commands if paragraphs should not be done in these
	commands.

2004-01-04  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle @flushleft and @flushright
	like normal formats and do something special at the end of line
	for @center.
	Put the @-command name in the paragraph_style stack (not the align
	attribute).
	use a new function reference init_out instead of set_buttons_text
	and set_body_text, called just before the outputting is done.
	Handle a lower level element appearing before a higher level element.
	* texi2html.pl, examples: call or prepare for calling of ascii_accents
	instead of rewriting the function each time.
	* examples/utf8.init: prepare for transcoding in utf8.
	* Tests/sectionning/section_before_chapter.texi: test for sectionning
	element before chapter.

2003-12-16  Peter Pentchev  <roam@ringlet.net>

	* texi2html.pl: don't use symbolic refs at all, instead eval the
	code (for the style functions) or use a local glob for the filehandle.

2003-12-15  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add hashes for the ascii
	representations of @-commands and a function for ascii accents.
	Give style functions the style @-command stack.
	New function duplicate_state to be used when special text is expanded
	within a normal context.
	substitute_line accepts a $state argument.

2003-12-10  Patrice Dumas  <pertusus@free.fr>

	* INTRODUCTION, NEWS, README, TODO, texi2html.1.in, doc/TODO: bring
	those files a bit more up-to-date and correct typos.
	* doc/IDEA: removed, the content was obsolete or in TODO.
	* texi2html.pl: add no-... options for the options needing it.
	echo less options with --help.

2003-12-10  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, TODO: add hashes for unicode encodings
	of accented letter and characters.
	A function cross_manual_links can expand node name according to the 
	proposal I made on the texinfo-pretest list (currently unused).

	* examples/utf8.init: add an init file for outputting of utf8 encoded
	characters.

2003-12-05  Derek Price  <derek@ximbiot.com>

	* texi2html.pl: Suggest `--help' rather than `-help' in error messages.

2003-12-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: @sp without arg is considered to be @sp 1
	* Tests/formatting/formatting.texi: add test for @sp
	* TODO: begin a list of UTF8 characters corresponding with accented
	texinfo letters, in order to implement cross manual references scheme
	described on the bug-texinfo mailing list and maybe output utf8.

2003-12-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't collect @copying lines in the first pass
	but in the second.
	Use the same mechanism to collect @copying, @documentdescription
	and @titlepage lines.

2003-12-01  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: new option -macro-expand which generates a file 
	with expanded macros and @include.
	don't close environments until last pass, except for @verb, raw
	environments and macro stuff.
	* texi2html.init: use @emph instead of @i in strings.

2003-11-25  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: format titlepage lines, resulting
	text is put in $Texi2HTML::TITLEPAGE. Use a new function reference
	$titlepage to finalize $Texi2HTML::TITLEPAGE.
	titles, subtitles and authors are put in arrays in 
	$Texi2HTML::THISDOC{'titles'} and so on...
	All the skipped commands are kept for the second pass.
	Handle @noindent and @exdent like other skipped commands. A new
	type of skipped commands 'whitespace' with newline skipped
	and 'space' no newline skipped.
	change name of functions to default_`function'.

	* examples/roff.init: add a roff formatter added.

2003-11-20  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: Echoes error messages when loading
	init files.
	Keep spaces in menu entries and menu descriptions.
	Clean menu entries code.
	When handling menu entries, give the formatted node, the name and 
	the remaining of the line to the formatting functions.
	In enumerate give the style of the enumerate, the item number and 
	a prepared number or letter to the formatting functions.
	Don't keep the enumerate style in the text.

2003-11-18  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: change protect_html to protect_text.
	More arguments given to paragraph, preformatted region, list item,
	table item formatting functions, usefull when the paragraph or
	preformatted region is within a table or list to give more possibility
	for use of the formatting command appearing with the table or
	itemize command.
	Handle better new lines.
	new formatting function, normal_text, used to process ---, --, '' and
	``.
	new formatting function, empty_line used to format an empty line,
	leave the empty line as is by default.
	2 new formatting functions are used when the macro isn't handled
	by the normal functions: unknown and unknown_style.
	give the file name to the image.

	* doc/texi2html.texi, Tests/*: sync with code.

2003-11-11  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: the format is applied by a customizable function.
	More arguments (index name, entry) given to the index label 
	formatting function.
	When menus are not expanded, don't keep @menu or @end menu.
	* texi2html.init: warn when an accent is associated with a
	wrong argument. Produce valid html entities only.
	* texi2html.init, T2h_i18n.pm: Use @-commands in internationalized
	strings, not html.
	* i18n/fr, i18n/es, i18n/pt: use @-commands instead of html.

2003-11-07  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: remove unusefull arguments to
	functions formatting paragraphs.

2003-11-06  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: the style is applied by a customizable function.
	* examples/noheader.init: style with no headers.

2003-11-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: don't add the leading command if it is a simple 
	command to all the paragraphs in itemize and add it before the 
	paragraph or preformatted section.

2003-11-05  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init: in itemize, apply the command to the
	inside of the paragraph or preformatted section.
	titlefont don't open paragraphs.

2003-11-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: keep texi as is in @image and protect html characters.
	accept @| as macro, but remove it.
	cleaning of code for commands with texi kept as is
	* doc/formatting.texi: add test of flushleft, flushright and center

2003-11-02  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: -- and so on are kept as is in @image except
	for alt text. Use alt text. File for image is really used, too.
	handle better @inforef.
	* doc/clean.texi: add formatting/clean.texi, a test for code 
	acceptable by makeinfo without error.

2003-10-28  Patrice Dumas  <pertusus@free.fr>

	* doc/texi2html.texi: add informations about internationalization

2003-10-28  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: if not split and there is a leading directory 
	specified with --out, create that directory.
	If a directory creation fails, abort.
	test the writability of the results directory, even when it is
	the current directory.

2003-10-28  Patrice Dumas  <pertusus@free.fr>

	* doc/: remove unneeded .texi files, now included in texi2html.texi.
	* Makefile.am, doc/Makefile.am: include info file in distribution.

2003-10-26  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl: support for @verbatiminclude. When split use the
	-output specification in every cases.
	* texi2html.init: use `&bull;' instead of `*' for node menu entries.
	* Makefile.am: fixes for the inclusion of files in packages.
	* doc/texi2html.texi: add the explanation of the default for all the
	variables. Explain how the strings are customized and how 
	internationalization works.

2003-10-19  Patrice Dumas  <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/html32.init: don't expand
	html automatically, only if it is in @EXPAND. Put html in @EXPAND.
	USE_ISO is now in the default case, but false in html32.init.
	new hash, %iso_symbols for USE_ISO symbols. Rewroted in the public
	domain in texi2html.init. Use iso symbols in preformatted environment
	too.
	When removing texi @-commands with arguments (@table, @deffn...) are
	better handled. Ignore content of @anchor, @footnote, @*ref when 
	removing texi.
	* doc/texi2html.texi: merge content of doc/custpage.texi, 
	doc/custhtml.texi in doc/texi2html.texi.
	* Tests/formatting/formatting.texi: test for all the constructs in 
	the @copying/@end copying section (to test remove_texi).

2003-10-17  Derek Price  <derek@ximbiot.com>

	* doc/stamp-vti, doc/version.texi: Regenerated.

2003-10-17  Derek Price  <derek@ximbiot.com>

	* texi2html.pl (do_text): Compile-once flag is okay as long as the
	pattern portion (left side) of a s/// statement is free of change.

2003-10-15  Patrice Dumas  <derek@ximbiot.com>

	* doc/custhtml.texi, doc/custpage.texi: sync with current code
	(no more $ADDRESS but $end_page, only 2 functions for references).
	* texi2html.pl: -- in normal text is changed in -
	---, -- '' and `` are kept as is in @code, @kbd and so on.

2003-10-14  Derek Price  <derek@ximbiot.com>

	* doc/texi2html.texi: Use @code{} for Perl vars.  @var{} is for user
	supplied data to commands and function calls and the like.  Fix EOL
	indiscretion in the three index macros.
	* doc/stamp-vti, doc/version.texi: Regenerated.

2003-10-14  Derek Price  <derek@ximbiot.com>

	* doc/custhtml.texi, doc/custpage.texi, doc/texi2html.texi: Misc
	revisions to Pat's major revisions.  Some global changes and reviewed
	through section 4.3.  Consolidate copyleft notice into a macro.
	Consolidate variable and option references into macros which include
	an index reference.  Make use of appropriate macros from version.texi
	rather than relying on manual updates.
	* doc/stamp-vti, doc/version.texi: Regenerated.

2003-10-14  Derek Price  <derek@ximbiot.com>

	* doc/.cvsignore: Add texinfo.info-? files.

2003-10-33  Patrice Dumas <pertusus@free.fr>

	* Tests/formatting/formatting.texi: test for --- and `` in various
	constructs.

2003-09-23  Patrice Dumas <pertusus@free.fr>

	* NEWS: More changes taken from the conversion of the singular 
	manual init file.

2003-09-23  Patrice Dumas <pertusus@free.fr>

	* NEWS: Note more changes.
	* Tests/*: Test for novalidate.

2003-09-22  Derek Price  <derek@ximbiot.com>

	* NEWS: Reorganize.  Note some more changes.

2003-09-21  Patrice Dumas <pertusus@free.fr>

	* Makefile.am: package i18n/en
	* doc/testkb.texi doc/umalaut.texi: remove these test files, they are 
	now in Tests/formatting

2003-09-21  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: source 'Config' file in the configuration directories 
	instead of texi2htmlrc and ~/.texi2htmlrc for the system wide and
	user configuration.
	* manage_i18n.pl: language files are the files appearing in the 
	i18n directory. Use 'en' for the file with english strings.

2003-09-17  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, texi2html.pl: change 'about (this page)' to 
	'about (help)' as this appears in the title= of the <a> element.
	ignore @afourlatex, @afourwide, @firstparagraphindent, @exampleindent,
	handle @definfoenclose, @kbdinputstyle, @novalidate, @centerchap (but 
	without centering), @documentdescription.
	add -no-validate option.

2003-09-15  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, texi2html.pl: add &$Texi2HTML::Config::one_section
	for formatting of document with only one section.
	find when an element is the first element on a page.
	add &$Texi2HTML::Config::end_section, called when an element is 
	finished unless it is the end of a page and do less in print_section
	Don't use $ADDRESS anymore. 
	Change &$Texi2HTML::Config::external_ref such that it is easier to
	internationalize.

2003-09-13  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, texi2html.pl: mark strings of buttons, about, 
	definitions and footers for internationalization.
	new function reference $set_buttons_text used to generate the
	button text hashes dynamically (for internationalization).
	require all files in i18n/* for languages.
	* i18n/fr: translate strings related with buttons, about,
	definitions and footers in french. 

2003-09-12  Patrice Dumas <pertusus@free.fr>

	* manage_i18n.pl: remove \ from strings when finding out strings
	to translate.
	* i18n/fr: translate strings related with references.

2003-09-12  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: 0 is accepted as a value for
	the reference arguments.
	rewrite from scratch the functions handling references in .init 
	files to put them in the public domain. Avoid string concatenation
	to ease internationalization.

2003-09-11  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init, T2h_i18n.pm, manage_i18n.pl,
	configure.in:
	The ideas come from Derek.
	new script manage_i18n.pl used to manage translation files.
	remove -i18n switch. 
	parse source files to extract strings to be translated.
	complete these strings with the element of %$template_strings
	in manage_i18n.pl and fill the i18n/template file with 
	these strings in the 'en' language hash.
	With the 'all' arg given to manage_i18n.pl the template is 
	regenerated the language files are updated and merged in 
	translations.pl. translations.pl is pasted in texi2html.pl.
	give arguments to the string to be translated: when something
	like %{arg} appears in the string and { 'arg' => 'some string'}
	is given as second argument, %{arg} is replaced by 'some string'
	after retrieval of the translated string.

2003-09-06  Patrice Dumas <pertusus@free.fr>

	* images, AUTHORS: add images from the Singular project.

2003-09-06  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, T2h_i18n.pm, texi2html.init: new handling of 
	languages in documents.
	instead of using the hash reference $Texi2HTML::I18n::WORDS for
	translation of words, call &Texi2HTML::I18n::get_string (more
	precisely use &$I, a reference on the function). The strings
	are the real english strings and not identifiers.
	The date formatting depends on the language.
	Use translations for months and not a months array.
	Put translations in one file per language and not in T2h_i18n.pm.
	Those files are in the i18n directory. They are to be concatenated
	in the file translated.pl which is required or pasted in texi2html.
	Add a switch -i18n for the specification of a management command
	related with internationalization: if the command is merge, 
	the files in the i18n directory are concatenated into translated.pl;
	if the command is update the files are updated with their own 
	informations and the list of valid strings appearing in T2h_i18n.pm,
	invalid strings are obsoleted but kept.
	* test.sh: add a test for internationalization.

2003-09-05  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: detect @item on @itemize and table line to avoid
	infinite recursion.

2003-09-04  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: handle better @itemize and @table,
	by appending the text appearing on the format command line.
	Use %special_list_commands to inhibit calling the formatting command
	on an item in a given format command.
	if '-' is given to the -output option, output on STDOUT.
	Find more format command mismatches, and handle better formats not
	closed.

2003-09-02  Patrice Dumas <pertusus@free.fr>

	* Tests/macros/glossary.texi: test for nested macros definitions

2003-08-29  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: support nested macro definitions.

2003-08-29  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, texi2html.pl: hide m_cedilla.
	new handling of definition commands, with a specification of the
	definition line parsing.
	get HTML attributes from hash values of %format_map and %style_map.
	Simplify the handling of tables. The default is to use %format_map
	or otherwise a user defined function, $table_list.
	All the css commands are in %css_map. 'pre_style' in $complex_formats
	is taken from %css_map.
	handle @sp.
	Remove $Texi2HTML::STOC_LINES (use $Texi2HTML::OVERVIEW), remove
	$Texi2HTML::TOC (use $Texi2HTML::TOC_LINES), remove $T2H_TOP.
	use references on arrays everywhere (instead of arrays) for
	Texi2HTML::OVERVIEW and Texi2HTML::TOC_LINES.
	Use OVERVIEW consistently.
	use $docu_top when needed, instead of $docu_name.$docu_ext, which
	is wrong if -o is used.
	prepare index entries label text in main program.
	rewrite from scratch most of the function in .init files to put 
	them in the public domain.
	expand macros in macro arguments.
	\ protects @end macro in macros body. This may be wrong.
	ignore space and newline following a region opening command.
	rename -css-file to -css-include.
	Add 'This' to the hashes for buttons, icons and so on.
	Add option -toc-links, create links from headings to toc entries
	with 9 lines from 
	Martin Herbert Dietze <martin@the-little-red-haired-girl.org>
	macros are expanded in macro arguments, taking care of context (in
	@verbatim, @ignore, @comment...).
	Don't remove empty lines from output.
	Reenable handling of -idx-sum.
	* Tests/*: add tests for macros expansion in macro arguments, and
	for command line option style which are not default.
	* examples/*: use code in the public domain.
	In makeinfo.init use makeinfo style for index formatting.

2003-08-29  Derek Price  <derek@ximbiot.com>

	* MySimple.pm (helpOptions): Prepend a second `-' before options.

2003-08-29  Derek Price  <derek@ximbiot.com>

	* doc/stamp-vti, doc/version.texi: Regenerated.

2003-08-11  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, texi2html.pl: don't always open paragraphs 
	in tables and such, only when needed.
	option -output obsoletes -out_file and -subdir. It is the
	same than -out_file when output is not split, and the same than
	-subdir when it is split.
	Handle empty indices.
	Handle better @-commands with letters mixed with other characters.
	Be more carefull about NUMBER_SECTION, such that nothing is numbered
	when it is false.
	Support for @documentencoding.
	* Tests/*: add tests from the doc directory in formatting.
	* doc/*: add a section about installation and make the manual more
	makeinfo friendly. 

2003-08-04  Patrice Dumas <pertusus@free.fr>

	* texi2html.init, Tests/test.sh, Tests/ccvs: don't expand info
	section in default settings. Expand info sections for the xemacs
	manual, the viper manual and the texinfo manual. 
	The cvs manual is updated.

2003-08-04  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: pass line numbers to all the 
	functions echoing error messages and use these line numbers
	in error messages. Some error messages rewrited.
	Correct tag for sectionning commands in case raisesection or
	lowersection were used.
	-P option prepends before the document directory, and use an
	array, @Texi2HTML::Config::PREPEND_DIRS.
	Add options --ifhtml, --ifinfo and so on (similar with makeinfo
	options). It is also possible not to expand html now.
	Add entries for xml.
	when a region is expanded the corresponding ifnot region isn't.
	Add support for -css-file option which does the same than in 
	makeinfo (parse the file, and echo the @import part before the
	texi2html css rules, the rules part after the texi2html css rules).
	If split at node and NODE_FILES is true but USE_NODES is not,
	the correct file nema is used for nodes not associated with
	sections and a redirection file is made.
	ignore spaces or not for def*index, pagesizes, syn*index properly.
	bugfixes: line beginning by any command not ignored begins a 
	paragraph, don't ignore text before macro with unknown character).
	no empty style in pass_text.
	misc element have always a navigation printed at foot.
	* Tests/*: add singular test, test for css files, test all html
	formatting and macro within another macro.

2003-08-04  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: don't remove empty line in the 
	second pass, pass_structure.
	collect line numbers/file name/macro expanding text in pass_texi.
	pass these informations down to pass_structure.
	take care of arguments not provided in some @-commands (no file
	in @image, no node in @inforef and so on).
	remove unneeded code in macro text expansion.
	remove leading spaces and newlines in macros arguments.
	add support for @\ (ignore).
	put code extracted from texi2html.pl and placed in texi2html.init,
	covered by the GPL back to texi2html.pl.
	Document the API between texi2html.pl and texi2html.init, i.e.
	document how the formatting functions called by texi2html.pl
	should behave.
	add print_section_header to format section headers.

2003-08-01  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: add option '-noexpand' as a synonym for '-no-expand'
	like Derek suggested.

2003-07-31  Derek Price  <derek@ximbiot.com>

	* texi2html.pl (T2H_OPTIONS->{'no-expand'}): Remove useless linkage.

2003-07-31  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: A new option -no-expand which does 
	the reverse of -expand.
	Text before the first @node or sectionning command is 
	outputted as part of the first section. A new option enables the 
	reverse: if -ignore-preamble-text is set (variable 
	$IGNORE_PREAMBLE_TEXT) this text is ignored.
	Handle macros appearing in that part of texinfo files (@direntry
	and @dircategory ignored, @shorttitlepage handled).
	Ignore everything at the beginning of the file until \input or an
	@-command preceded by optionnal spaces.
	better handling of @titlefont.

2003-07-29  Patrice Dumas <pertusus@free.fr>
	
	* texi2html.pl, texi2html.init: if split, top and misc elements (about,
	toc, ...) always have a bottom navigation panel.
	If there is no @top and the @node Top isn't associated with any section
	it is considered to be the top element.
	The top name is Top when there is no name nor title (previously was
	"Untitled Document").
	bugfix: top element handled as top even when it is the last element.

2003-07-22  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init, examples/*: add support for @cartouche
	and @titlefont.
	preliminary support for css. All the element needing style have a 
	class attribute. The commands which are associated with a class by
	makeinfo have that class too. The styles are in the <head> in <style>.
	A new init file, inlinestyle.init, should be used when style 
	attributes within html elements are wanted.
	A new option, "-U value" does the same than "@clear value" (makeinfo
	has that option, too).
	A new configuration variable L2H_HTML_VERSION for the html version 
	passed to latex2html.
	@tex or @math don't start a new paragraph.
	* Tests/*: test for @raisesections and @lowersections, and for 
	@cartouche.

2003-07-11  Patrice Dumas <pertusus@free.fr>

	* Tests/ccvs: update cvs manual. This should fixe the issue of rcs 
	tags expanding in html manual files in ccvs_res.
	* Tests/*: sync with code. Add missing test result files.
	* Tests/Makefile.am: add new test subdirs. Better cleaning.
	* l2h.init: add init file for latex2html.

2003-07-10  Derek Price  <derek@ximbiot.com>

	* Tests/nodes_texinfo/--and-hyphenation.html: Removed this accidentally
	added file at Pat's request.

2003-07-10  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, Tests/test.sh: command line option names use '-' 
	instead of '_' between words (for example dump_texi becomes dump-texi).
	* Tests/*: remove unneeded html and passfirst files.

2003-07-03  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, *.init: use a separate namespace for the config
	variables: Texi2HTML::Config. Use the Texi2HTML:: namespace for
	variables set in texi2html and used in the init files subroutines.
	Use Texi2HTML::LaTeX2HTML namespace for latex2html related code.
	Use Texi2HTML::I18n namespace for internationalisation.
	Variables related with latex2html are removed from texi2html.init
	and put in l2h.init.
	harmonize function names style (all like get_index and not GetIndex).
	* Makefine.am, texi2html.pl: install examples init files in shared 
	directory.
	try to find init files in the current directory, then the .texi2html 
	user directory, the local texi2html directory and lastly the shared
	texi2html directory.

2003-06-17  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: error messages go to STDERR instead of STDIN
	* Tests/test.sh: add -x to perl invocation to avoid perl trying
	to execute @PERL@. Small fixes.
	* Tests/README: added README file in Tests to explain how to make
	tests.

2003-06-16  Derek Price  <derek@ximbiot.com>

	* NEWS: Add some of Patrice's features, note new AC/AM versions, note
	--enable-maintainer-mode requirement.
	* Makefile.am (all): Remove automake supplied target.
	(texi2html): Update dependencies.
	(EXTRA_DIST): Update these.
	(MAINTAINER_CLEAN_FILES): Remove automatically included files.
	(TEXI2HTML): Remove unused variable.
	(AUTOMAKE_OPTIONS): Move to...
	* configure.in (AM_INIT_AUTOMAKE): ...here.
	(AC_ARG_PROGRAM): Remove call - AM_INIT_AUTOMAKE handles it.
	(T2H_VERSION): Rename to...
	(PACKAGE_VERSION): ...to avoid extra cruft since Autoconf already sets
	this automatically.
	(T2H_DATE): Rename to...
	(PACKAGE_DATE): ...this in keeping with Autoconf naming convention and
	set it automatically using mdate-sh.
	(extrasub): Remove uneeded cruft.
	(AM_MAINTAINER_MODE): Call this macro to make things easier on
	inexperienced users.
	(AC_OUTPUT): Move these files into...
	(AC_CONFIG_FILES): ...calls to this macro and update some calls to set
	the executable bit on files which need it.
	* check_texinfo.pl.in: s/@BANGPERL@/! @PERL@/g;
	* texi2html.1.in: s/@T2H_VERSION@/@PACKAGE_VERSION@/g;
	s/@T2H_DATE@/@PACKAGE_DATE@/g.
	* texi2html.init: Correct opening comment.
	* texi2html.pl: s/@BANGPERL@/! @PERL@/g;
	s/@T2H_VERSION@/@PACKAGE_VERSION@/g.
	* Tests/Makefile.am (test): Rename to...
	(check-local): ...this to conform with Automake requirements & GNU
	standards.
	(clean): Rename to...
	(clean-local): ...for compatibility with Automake.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* Tests/Makefile.in: Ditto.
	* doc/Makefile.in: Ditto.

2003-06-16  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: @include replaced by an empty line
	no end of line after last line when expanding macros
	include of files within lines expanded from macros happen
	at the right place
	better handling of format command in section names and of empty 
	raw formats (like @html@end html)
	* Tests/*: sync with code
	
2003-05-20  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: split pass_texi in 2 pass. pass_texi
	rearranges texi expanding macros and values, removing comments.
	pass_structure remove unneeded empty lines and find out the structure
	of the document.
	use a different formatting for menu entries in other environments than 
	menus.
	cleaning of code.
	use close_stack in all the passes to close environments not rightly
	closed. Fix some places where stack wasn't closed rightly.
	New direction, 'NodeNext' and 'NodePrev' which contains the prev node 
	and next node which may be different from Next and Prev for sections.
	use style font-size:smaller in pre instead of <font> for smallexample 
	and friends to produce valid html.
	spaces and arguments following commands are removed or kept in the 
	same way than makeinfo does.
	* Tests/*: add tests for environments not closed. Sync with code.

2003-05-09  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: refs to other manuals conforms to 
	makeinfo with separated files for nodes.
	If  $T2H_NODE_FILES (-node-files) is true one file per node is created
	which redirects to the real file or is the node file (if T2H_SPLIT
	at node), to allow for cross manual references.
	Add a T2H_NO_TEXI hash similar with T2H_HREF, T2H_NODES...
	and T2H_THISDOC{title_no_texi} to have a texi free and thus html free
	text for nodes/sections/title to be used in the <title> which element
	which cannot contain other html elements. Also usefull for files with
	node names generation.
	t2h_set_body_text and t2h_protect_html put in texi2html.init to be
	able to make changes more easily.
	$T2H_TOC_LIST_STYLE is used for style in toc. Makes customisation
	easier too.
	* examples/html32.init: init file for html 3.2 generation
	* Tests/test.sh: add validation
	* Tests/*: tests for files with node names generation

2003-05-07  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: put a label in splitted index.
	splitted indices which are not at the level of splitting are kept
	in the same file but in different sections.
	different horizontal rules are global variables.
	functions formatting index summary and index entry split between 
	a function in texi2html.pl and smaller functions doing the real
	formatting in texi2html.init.
	no formatting is done in texi2html.init.
	heading appears in documents with only one section.
	if $T2H_SEPARATED_FOOTNOTES is false (-noseparated_footnotes)
	the footnotes are on the page they appear. More possibility
	of customization of footnotes (insert things before and after each
	footnotes and all footnotes).
	use top file for the top element even when there is no @top section.
	when there is a top element and splitting, no other element than
	the top element appear in the top file.
	* examples/makeinfo.init: format footnotes like makeinfo
	* examples/xhtml.init: init file for xhtml
	* Tests/test.sh: little fixes
	* Tests/*: all tex stuff taken from verbatim_html and put in tex.texi.
	tests for index entries in top and before top.
	tests for documents with only one section or node or no node.

2003-05-02  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: 3 split commands: split at
	chapter, section or for every node (previously node and section 
	where the same than node now).
	specific section footer.
	find prev and next like makeinfo.
	new directions, for nodes: NodeUp (up for node) and Following (next
	node in reading order).
	if in detailmenu menu entries are not used to find next and prev.
	only one Top in nodes and anchors. Any case combination accepted
	for any reference.
	don't close { when not associated with an @command.
	reintroduced code for counting words.
	new possibilities for buttons. If this is a ref to a scalar, the
	text appears in navigation. If it is an array, the first element
	is a direction used for the href, the second element is a scalar
	ref for the text (see makeinfo.init in examples for an example).
	* Tests/*: test for recursive nodes references and other little
	tests
	* examples/*: new directory for examples of config files. There
	is a file which tries to have an output which looks like makeinfo
	--html output (makeinfo.init).

2003-04-30  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add the node as element when there 
	is a @printindex split accross pages between node and section.
	* Tests/*: tests for documents with indices in top and between node
	and section.

2003-04-29  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: add $T2H_MENU_SYMBOL before nodes in 
	menu and optionnaly before unnumbered section names in menu entry.
	next are not menu childs but next node in menu.
	it is possible not to have next or prev for node.
	any case combination of top is accepted in nodes, menus and 
	nodes directions. Not changed in anchors and refs (makeinfo shows
	that kind of inconsistencies too).
	the top_element it the @top section, then the Top node 
	and last the first element.
	'(file) node' and '(file)' accepted in menus and nodes references.
	better looking verbose output.
	* Tests/*: tests for documents without sections and double top

2003-04-28  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: No heading for top, as print_Top 
	already does it.
	if $T2H_USE_NODES (command line -use-nodes) is set, the nodes are
	used as sections when they are not associated with a section.
	find sections structure before handling nodes.
	no more use of menu level for structuring.
	@html sections don't close paragraphs.
	* Tests/*: tests for document structure. Sync with code.

2003-04-23  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: when there is no section nodes are used instead
	* .cvsignore: add autom4te-2.53.cache and check_texinfo.pl
	* Tests/.cvsignore: create .cvsignore for Tests
	* Tests/ccvs: update to latest cvs manual

2003-04-22  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: constants declared early as they are used in 
	texi2html.init (at least $WARN is used)
	* Makefile.in, Tests/Makefile.in, Tests/Makefile.am: add .passfirst  
	and .2 files in regenerate and clean
	* Tests/*: results of tests added

2003-04-10  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: labels were put 2 times in special
	sections (Top, about, toc...).
	in vtable, ftable and table, even with an empty first item we
	begin a <dd> as only <dd> and <dt> are allowed to follow <dl>.
	Right labels are put in special sections and files are omitted
	when the href is on the same file.
	change &#156; to &oelig; and &#140; to &OElig; (as tidy do)
	* Tests/*/nodetest.texi: test for more simple special commands

2003-04-09  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: formatting put in texi2html.init
	hrefs to anchors and index entries which are in footnotes are right
	scan_texi changed to have a stack
	verbose and debug goes to STDERR
	unusefull empty lines removed
	new option -dump_texi used to debug, dumps the result of pass_texi
	to a file
	menu_comments are always preformatted
	better handling of @math and @sc
	* Tests/*: a little more things tested.

2003-04-04  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: deffn and the like better handled
	preformatted sections are closed when there is a new format
	and reopened right after the format such that there is no
	validation error. The preformatted state is kept within
	menu, deff body, simple formats, tables, with tt instead of
	pre for terms, as pre isn't allowed in dt, but not in 
	indices.
	simple macros are better handled when texi macros are removed
	or in preformatted sections.
	copying/end copying and insertcopying handled
	@head_lines containing things which should be before the navigation
	panel are used to get the labels for elements.
	first page of index is handled like a normal format
	* Tests/*: more tests for imbrications.
	
2003-04-02  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: footnotes better handled, they have a separated
	stack, state and text.
	footnotes, anchors and refs can be mixed with better results.
	$value{_title}... have only their texinfo expanded during
	pass_texi, including values, macros and so on and the html
	is generated during pass_text.
	* Tests/*: minor changes, more tests.

2003-04-02  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: macros splitted by 3 paragraphs are better handled.
	more isolation of formatting.
	better generation of index keys from commands, with more macros
	replaced by the right letter or symbol.
	better handling of @things{} in preformatted sections.
	preformatted sections handled with a new format, preformatted (similar
	with what is done for paragraphs). Some validation errors avoided.
	commands for tables are handled.
	index entries have the right file/id from their place.
	The files are omitted from hrefs when the href points to the same file.
	* Tests/*: formatting/imbrications.texi added. Sync with code.

2003-03-27  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: rewrite of the parsing of texi
	and of the handling of sectionning.
	pass0 is now pass_texi. It still only generates texinfo.
	pass_texi now also collects informations from sectionning commands
	index entries, printindex commands.
	pass1 through pass4 are now in just one pass, pass_text.
	between pass_texi and pass_text, the information is used to figure
	out the document and indices structure.
	pass_text reparses the texinfo generated by pass_texi and
	produces html. All the formatting is done in isolated subroutines
	such that it is easy to change the formatting witout bothering
	with the parsing.
	pass_text uses scan_line to process a line.
	A stack is used which holds opened macros and formats. Thus the 
	html is always closed and should be valid.
	The document structure seems right with this approach, unnumbered 
	sections are at the right level and indices don't break the document
	structure anymore.
	* Tests/*: more tests for the @macros. Other minor modifications.
	sync with new code.

2003-03-06  Patrice Dumas <pertusus@free.fr>

	* T2h_i18n.pm: added  the licence
	* texi2html.pl, texi2html.init, check_texinfo.pl.in: check function
	put in check_texinfo.pl.in. T2H_EXPAND is now an array such that
	more than one type may be expanded
	* texi2html.pl: added a new pass before the other ones, pass0 and
	a function scan_line0 used in that pass. During that pass the
	ifhtml, ifnot*, the comments and multiple empty lines, the macros, 
	values and includes are handled. No html is generated. the
	different things that are expanded can now be within a line and 
	not necessarily at the begining of the line.
	The handling of values and macros is not changed.
	scan_line handles more constructs (newlines (still bugged), 
	verbatim, html and tex, deffn (incomplete)).
	new function close_stack which might be used to close the things 
	forgotten by users or between paragraphs.
	new function substitute_text which uses scan_line to render
	arbitrary text.
	little improvements in menu comments handling.
	accent_map/do_accent should handle all the accents.
	* Tests/test.sh: minor changes.
	* Tests/*: regenerated tests to keep in sync.
	added formatting/imbrications.texi to test for imbricated things.
	* configure, configure.in: added check_texinfo.pl.in.

2003-02-28  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init, T2h_i18n.pm: options specifications
	moved from texi2html.init to texi2html.pl, such that texi2html.init
	resembles a regular user init file. internationalization move
	from texi2html.init to T2h_i18n.pm. 
	* configure.in: added substitution of T2h_i18n.pm within 
	texi2html.pl
	* configure, doc/Makefile.in, Makefile.in, aclocal.m4, 
	Tests/Makefile.in: regenerated with automake-1.6.3, autoconf-2.53

2003-02-24  Patrice Dumas <pertusus@free.fr>

	* Tests: small fixes, more tests showing brokeness of texi2html
	for some features and info and tex differences. 
	A change in texinfo.txi to permit handling of verb despite some 
	substitutions have already been done
	* texi2html.pl: add comment about the formats in texinfo 4.5
	setlocale is used in case of tests to avoid change in ordering of 
	indices while testing against a reference file
	footnotes refs and image handled by parse_line, which calls a 
	sub routine (do_footnote, do_ref or do_image).
	for footnotes, _$doc_num instead of $docu_doc
	appended tp keep track of the file of the footnote, such that it 
	is easier to match. 
	instead of <!--::${section}::--> added before printindex, _$sec_num 
	is appended to printindex, to keep track of the
	section number.
	images extention is taken from the @image tag if available
	everything which was splitted accross pass2, pass3 and pass4 is
	now done in pass2.
	in pass3 only very little cleaning is done, pass4 is removed.

2003-02-21  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: added handling of overbar accent @= is transformed
	in =
	the handling of multi lines macro is done in a function, scan_line
	which scans a line, keeping a record of the text already ready,
	the macro stack and a state which for now only contains 'verb' if in
	@verb macro. The @verb macro is handled by this function (but since
	things have already been substituted, it cannot give the right 
	result easily)

2003-02-19  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: T2H_DEFAULT_button_icon_img behaves
	better when it has some undef arguments
	the variables which may be redefined by the user are now global. 
	They are grouped in texi2html.init, and also in the Declaration in 
	texi2html.pl and sorted by class.
	new elements in %T2H_THISDOC for items which are global but shouldn't
	be redefined by the user (instead of $T2H_HOMEPAGE, $THISPROG...).
	t2h_Init_global has been removed and the code scattered according to
	the principles above
	other minor fixes

2003-02-18  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: handle @verbatim, and @html differently. Added 
	push_until function which shift from a lines array and push to another 
	array until @end tag. Remove PROTECTTAG
	remove unneeded push of index entry for vtable or ftable which
	created 2 indices entry
	* Tests: added more tests

2003-02-13  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: avoid using $_ in functions, as it is a global
	variable, use my variables instead
	* Tests/test.sh: if called with arguments, the test specified by 
	the arguments is the only one done
	* Tests/*: add Makefile.in, more subdirectories, synchronise
	reference files with changes in the code

2003-02-12  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: add prototype for the functions ; remove
	& in front of functions ; remove the unusefull main()
	and Unprotect_texi functions
	* Tests/Makefile.am, Tests/test.sh: add regenerate target to 
	redo the reference files
	add test with tidy, remove cvs/rcs tags when doing diffs

2003-02-11  Patrice Dumas <pertusus@free.fr>

	* Tests/Makefile.am, Tests/test.sh: changes to reflect change
	in directory name for the cvs manual from cvs to ccvs

2003-02-11  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: unused variables removed
	use_bibliography removed, lots of global variables made lexical.
	open renamed open_file to avoid clashing with perl builtin.
	remove sub init_input, the initialization is done in the 
	script itself.
	add meta http-equiv="Content-Type" tag for the charset
 	declaration.

2003-02-06  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl, texi2html.init: some unused variables removed
	use_acc not used anymore, accents are always handled
	Remove a lot of global variables. Use global lexical or lexically
	scoped variables (with my) when possible. Pass variables as arguments
	when the function is in texi2html.init
	bugfixes: frame target is the top file, and not the toc file
	during pass1 some lines where pushed in @lines2 instead of @lines
	* Tests/test.sh: ignore CVS directory when doing diffs

2003-02-03  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: Remove handling of setref which is a TeX macro. The 
	corresponding texinfo macro is anchor.
	Remove an unneeded protect_texi
	* configure.in, Makefile.am, Tests/test.sh, Tests/Makefile.am Tests/*:
	Files used for testing added, texinfo manuals and the html results for 
	some of the texinfo manuals

2003-01-30  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: fix nesting of multi line style macros (previously,
	@kbd{@code{my
	thing}}
	became
	<kbd>my thing<kbd><code></code> (or something approaching)
	no style substitution is done in indexes (indexes are already good
	html). Added %sec2index which is undef for a section name not in index,
	1 if the section name is in index.
	the value of $docu_doc set if $T2H_OUT was set (option -o) wasn't 
	used to define docu_doc_file, thus the output file was the basename 
	of the texinfo file with extension appended, and not $T2H_OUT.


2003-01-28  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: fixes in the handling of characters which are 
	special in html (&, "), involving some rewriting/replacements 
	of other functions which were bugged
	normalise_node now really uses protect_html
	new function protect_space_style used to normalise nodes without
	calling protect_html

2003-01-24  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: fixes for @multitables:
	size detection, elements out of bounds are ignored
	@item and @tab may appear anywhere within table lines


2003-01-22  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: Ref to info files are handled correctly
	@ref{(perl)Top} is transformed into @ref{Top,,,perl}.
	Any character is allowed in menu comments
	In menu, lines begining with * which are not menu entries are allowed
	and treated as comments
	Added a style handle for @bullet (do_bullet) such that @bullet{text}
	is handled
	Cedilla are now accepted in node names. Added protect_cedilla and
	unprotect_cedilla functions.
	* texi2html.pl, texi2html.init: Add -test option which sets 
	$T2H_TODAY $T2H_USER $THISPROG to given values. This is in order 
	to be able to compare with reference files for testing purproses.

2003-01-16  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: @H{a} is changed in a'' and not &aacute; which was 
	wrong, as there are 2 acute accents on @H{a}.

2003-01-09  Patrice Dumas <pertusus@free.fr>

	* texi2html.pl: Suppress warnings for undefined patterns or 
	variables when running with -w

2003-01-08  Patrice Dumas <pertusus@free.fr>

	* texi2html.init: small typo in a french word corrected
	* texi2html.pl: @dotless macros are processed before accents
	constructs like @'{a} are handled, typo in variable names corrected

2002-06-25  Derek Price  <oberon@umich.edu>

	* texi2html.init, texi2html.pl:
	Miscellaneous HTML improvements, towards strictness and
	easier transition to XHTML later; lowercase elements and
	attributes, avoid using deprecated elements and attributes,
	always quote attribute values, avoid use of minimized
	attributes.  Internal cleanups.
	(Patch from Ville Skyttä <ville.skytta@xemacs.org> through
	Adrian Aichner <adrian@xemacs.org>.)

2002-06-08  Derek Price  <oberon@umich.edu>

	* configure: Update to a new development release number.
	* NEWS: Add news template for next release.

	* configure.in: Regenerated.
	* doc/stamp-vti: Ditto.
	* doc/version.texi: Ditto.

2002-06-08  Derek Price  <oberon@umich.edu>

	* configure.in: Update Texi2HTML date.
	* NEWS: Update for new release.
	* .cvsignore: Add autom4te.cache for new version of Autoconf.

	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* doc/Makefile.in: Ditto.
	* doc/stamp-vti: Ditto.
	* doc/version.texi: Ditto.

2001-11-27  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.pl (pass5): Improve wording to say "# writing X
	sections ...".
	* texi2html.pl (next_doc): Skip over $docu_top_file and issue
	warning.

2001-11-25  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.init (T2H_InitGlobals): Improve documentation.
	Prepend $T2H_ADDRESS, which contains nothing but the address now,
	with "by".
	* texi2html.init (T2H_DEFAULT_print_page_foot): Prepend
	$T2H_ADDRESS, which contains nothing but the address now, with
	"by".
	* texi2html.init (T2H_PRE_ABOUT): Ditto.
	* texi2html.init (T2H_AFTER_ABOUT): Make it a lexical.
	* texi2html.pl: Remove trailing whitespace from lines.  Use
	protect_html of HREF and NAME.  Use /o where possible in
	substitutions.
	* texi2html.pl (T2H_HOMEPAGE): Get rid of newlines.
	* texi2html.pl (T2H_ADDRESS): Move to texi2html.init.
	* texi2html.pl (pass1): Fix severe top node matching bug.  
	* texi2html.pl (do_uref): Don't markup obviously bad uref.
	* texi2html.pl (t2h_anchor): Use protect_html to allow
	double-quoting of all html attributes.

2001-11-19  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.init: Initialize T2H_INCLUDE_DIRS to the empty list.
	* texi2html.pl (LocateIncludeFile): Don't look in ., unless it's
	part of T2H_INCLUDE_DIRS.

2001-09-18  Derek Price  <dprice@collab.net>

	* texi2html.pl (T2H_HOMEPAGE): Use new link.
	(T2H_AUTHORS): Direct to dev@texi2html.cvshome.org for maintainer.
	(T2H_ADDRESS): Default to "an unknown user".

2001-09-18  Derek Price  <dprice@collab.net>

	* doc/.cvsignore: Add several files generated by pdftex.

2001-09-18  Derek Price  <dprice@collab.net>

	* doc/Makefile.am (texi2html_TEXINFOS): Remove version.texi - AM
	includes it automatically.
	(texi2html.html): Include version.texi as a dependency.
	(texi2html.pdf): Use pdftex to create instead of ps2pdf - hyperlinks!

	* doc/Makefile.in: Regenerated.

2001-09-18  Derek Price  <dprice@collab.net>

	* configure.in: Bump package version number.
	* Makefile.am (AUTOMAKE_OPTIONS): Bump required Automake version to
	1.5.
	* doc/texinfo.tex: New File.
	* TODO: Add note about `make distcheck' being broken and about lack of
	a comprehensive test suite.

	* Makefile.in: Regenerated using Automake 1.5.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* doc/Makefile.in: Ditto.
	* doc/stamp-vti: Ditto.
	* doc/version.texi: Ditto.

2001-09-17  Derek Price  <dprice@collab.net>

	* texi2html.init (T2H_WORDS_FR, MONTH_NAMES_FR): Add French
	translations.
	(Patch from Dumas Patrice <pertusus@free.fr>.)

2001-09-17  Derek Price  <dprice@collab.net>

	* texi2html.1.in (AVAILABILITY): Add detail.

2001-09-17  Derek Price  <dprice@collab.net>

	* .cvsignore: Add `texi2html.1'.

2001-09-17  Derek Price  <dprice@collab.net>

	* texi2html.1: Removed this file since it is generated by configure.

2001-08-10  Derek Price  <dprice@collab.net>

	* INTRODUCTION: Fix email addresses and links.
	* README: Ditto.
	* NEWS: Update.

2001-08-10  Derek Price  <dprice@collab.net>

	* doc/Makefile.am: Made a few changes so we can build in a dir other
	than $(srcdir).
	(Bug report from Richard Pixley <rpixley@zhone.com>.)

	* Makefile.am: Remove some useless comments.
	* doc/Makefile.am: Simplify some targets which Automake already knew
	how to handle.

	* aclocal.m4: Regenerated.
	* configure: Regenerated.
	* Makefile.in: Regenerated.
	* doc/Makefile.in: Ditto.

2001-01-20  Adrian Aichner  <adrian@xemacs.org>

	* INTRODUCTION (http): Typo fixes.
	* texi2html.init (T2H_DEFAULT_print_toc_frame): Improve wording.
	* texi2html.pl: Avoid newlines around URL in $T2H_HOMEPAGE.
	* texi2html.pl (pass1): Remove incorrect "node is undefined ..."
	warnings (as pointed out by larry.jones@sdrc.com (Larry Jones) in
	<200011152253.RAA16633@thor.sdrc.com>.
	* texi2html.pl (Sec2PrevNode): Fix bug of calculating next node
	instead of previous.
	* texi2html.pl (main): Provide Windows NT workaround for $T2H_USER
	until getpwuid gets implemented there.

2000-11-15  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.pl: Comment out warnings pragma which, according to
	larry.jones@sdrc.com (Larry Jones), is not available in
	perl5.004_02.

2000-11-12  Adrian Aichner  <adrian@xemacs.org>

	* doc/custhtml.texi: Fix @node and @menu commands according to
	feedback from makeinfo and texi2html, which reports undefined
	nodes now.
	* doc/custhtml.texi (CustHTMLBody): Ditto.
	* doc/custhtml.texi (CustHTMLBodyText): Ditto.
	* doc/custhtml.texi (CustHTMLAfterBody): Ditto.
	* doc/custpage.texi: Ditto.
	* doc/custpage.texi (TipsNewDesign): Ditto.
	* doc/custpage.texi (CustPagePhil): Ditto.
	* doc/custpage.texi (CustPagePhilNav): Ditto.
	* doc/custpage.texi (CustPageMiscPage): Ditto.
	* doc/custpage.texi (CustPagePageHeadToc): Ditto.
	* doc/custpage.texi (CustPagePageHead): Ditto.
	* doc/initfile.texi: Ditto.
	* doc/initfile.texi (InitFileBasics): Ditto.
	* doc/reference.texi: Ditto.
	* doc/reference.texi (Refptocframe): Ditto.
	* doc/stamp-vti: Updated.
	* doc/texi2html.texi: Ditto.
	* doc/texi2html.texi (Top): Ditto.
	* doc/texi2html.texi (Indexvr): Ditto.
	* doc/version.texi: Ditto.


2000-11-12  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.init: Re-format file according to M-x cperl-set-style
	RET C++ RET.  Following subs are affected by re-indentatition and
	bug fixes due to use of warnings pragma.
	* texi2html.init (T2H_DEFAULT_print_section):
	* texi2html.init (T2H_DEFAULT_print_Top_header):
	* texi2html.init (T2H_DEFAULT_print_Top):
	* texi2html.init (T2H_DEFAULT_print_misc_header):
	* texi2html.init (T2H_DEFAULT_print_misc):
	* texi2html.init (T2H_DEFAULT_print_chapter_header):
	* texi2html.init (T2H_DEFAULT_print_chapter_footer):
	* texi2html.init (T2H_InitGlobals):
	* texi2html.init (T2H_DEFAULT_print_page_head):
	* texi2html.init (T2H_DEFAULT_print_page_foot):
	* texi2html.init (T2H_DEFAULT_print_foot_navigation):
	* texi2html.init (T2H_DEFAULT_button_icon_img):
	* texi2html.init (T2H_DEFAULT_print_navigation):
	* texi2html.init (T2H_DEFAULT_print_frame):
	* texi2html.init (T2H_DEFAULT_print_toc_frame):
	* texi2html.init (T2H_DEFAULT_about_body):
	* texi2html.pl: Re-format file according to M-x cperl-set-style
	RET C++ RET.  Add pragma:
	use warnings;
	Following subs are affected by re-indentatition and bug fixes due
	to use of warnings pragma.
	* texi2html.pl (LoadInitFile):
	* texi2html.pl (SetDocumentLanguage):
	* texi2html.pl (l2h_Init):
	* texi2html.pl (l2h_InitToLatex):
	* texi2html.pl (l2h_ToLatex):
	* texi2html.pl (l2h_FinishToLatex):
	* texi2html.pl (l2h_ToHtml):
	* texi2html.pl (getcwd):
	* texi2html.pl (l2h_InitFromHtml):
	* texi2html.pl (l2h_FromHtml):
	* texi2html.pl (l2h_ExtractFromHtml):
	* texi2html.pl (l2h_Finish):
	* texi2html.pl (l2h_InitCache):
	* texi2html.pl (l2h_StoreCache):
	* texi2html.pl (l2h_FromCache):
	* texi2html.pl (l2h_ToCache):
	* texi2html.pl (pass1):
	* texi2html.pl (EnterIndexEntry):
	* texi2html.pl (IndexName2Prefix):
	* texi2html.pl (GetIndexEntries):
	* texi2html.pl (byAlpha):
	* texi2html.pl (GetIndexPages):
	* texi2html.pl (GetIndexSummary):
	* texi2html.pl (PrintIndexPage):
	* texi2html.pl (PrintIndex):

2000-11-05  Adrian Aichner  <adrian@xemacs.org>

	* MySimple.pm (getOptions): Correct typo found with "use strict;".
	* texi2html.init: Convert from dynamically to lexically scoped
	variables.
	* texi2html.init (pretty_date): Ditto.  This sub is defined in
	texi2html.pl as well!
	* texi2html.pl: Ditto.
	* texi2html.pl (l2h_FromHtml): Ditto.
	* texi2html.pl (pass1): Ditto.
	* texi2html.pl (pass2): Ditto.
	* texi2html.pl (pass3): Ditto.
	* texi2html.pl (pass4): Ditto.
	* texi2html.pl (update_sec_num): Ditto.
	* texi2html.pl (open): Ditto.
	* texi2html.pl (next_line): Ditto.
	* texi2html.pl (html_debug): Ditto.
	* texi2html.pl (debug): Ditto.
	* texi2html.pl (do_email): Ditto.
	* texi2html.pl (do_math): Ditto.
	* texi2html.pl (do_uref): Ditto.
	* texi2html.pl (apply_style): Ditto.
	* texi2html.pl (substitute_style): Ditto, except $_.
	* texi2html.pl (t2h_anchor): Ditto.
	* texi2html.pl (pretty_date): Ditto.  This sub is defined in
	texi2html.init as well!

2000-11-05  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.pl (pass1): Generate valid HTML for <a name=...>
	anchors produced for @itemx?.

2000-11-05  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.init: Eliminate bare-word use of variable T2H_OPTIONS.

2000-11-05  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.pl: Use strict pragma to detect potential bugs.
	Declare local variables (currently 396!).  Fix HTML syntax in
	$complex_format_map.  Eliminate bare-word use of variables
	(eg. use $T2H_LANG instead of T2H_LANG).
	* texi2html.pl (GetIndexSummary): Remove <br> after <table>.
	* texi2html.pl (Sec2NextNode): Re-write section-number regexp for
	readability and to make cperl-mode happy.
	* texi2html.pl (Sec2PrevNode): Ditto.
	* texi2html.pl (main): New sub encapsulating top-level code.
	* texi2html.pl (pass1): Ditto.  Re-write texinfo comment regexp
	for readability and to make cperl-mode happy.  End HTML <p> before
	@printindex, <dl>, and </dl>.
	* texi2html.pl (pass2): Ditto.  Quote <table> attributes.
	* texi2html.pl (pass3): Ditto.
	* texi2html.pl (pass4): Ditto.  Remove </p> before first paragraph!
	* texi2html.pl (pass5): Ditto.
	* texi2html.pl (open): Use no strict "refs" to allow symbolic
	reference.
	* texi2html.pl (apply_style): Ditto.

2000-11-04  Adrian Aichner  <adrian@xemacs.org>

	* texi2html.init ($T2H_DOCTYPE): Add SystemLiteral to identify the
	canonical DTD.
	* texi2html.init (T2H_DEFAULT_about_body): Fix HTML syntax of
	Subsubsection One-Two-Three example.
	* texi2html.pl: Close HTML <p> before HTML <table> and HTML
	<dl>.  Correct handling of texinfo menu comment lines.
	* texi2html.pl (protect_html): Simplify.  This subroutine was way
	too smart!  Use Character entity references (eg &lt;) instead of
	Numeric character references (eg. &#60).
	* texi2html.pl (unprotect_html): Use Character entity references
	(eg &lt;) instead of Numeric character references (eg. &#60).

2000-09-14  Eric Sunshine  <sunshine@sunshineco.com>

	* doc/Makefile.in: Added missing doc/Makefile.in since its absence
	  caused 'configure' and make targets (such as 'distclean') to bomb.

2000-09-14  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* applied patches/fixes from  Eric Marsden <emarsden@mail.dotcom.fr>.
	  o DTD now at the beginning of the document
	  o default language to 'en' wasn't working which led to empty LANG=""
	    in <BODY>
	  o missing </FONT> in footer blurb
	  o when the ToC was generated in some cases, the code used
	    <UL></UL> to indent, but didn't have any <LI> tags.  <blockquote>
	    is now used in such cases, instead.

2000-09-11  Eric Sunshine  <sunshine@sunshineco.com>

	* texi2html.pl: Fixed severe macro expansion bug.  Macro argument
	  parsing code did not handle nested braces ('{' and '}') at
	  all, thus valid macro invocations such as
	  "@mymacro{Hello @emph{there} @strong{world}.}" would fail.
	  Prior to this fix, @mymacro would be handed the argument
	  "Hello @emph{there", which is clearly incorrect.  Now @mymacro
	  correctly receives "Hello @emph{there} @strong{world}." as its
	  argument.  This fix also deals properly with the protected brace
	  sequences \{, \}, @{, and @}.

	* texi2html.pl: Fixed severe macro expansion bug.  Macro argument
	  parsing code did not handle arguments split over multiple lines,
	  such as "@mymacro{Hello \n world.}".  Now it correctly handles
	  macro invocations split across any number of lines, and properly
	  flags an error at the correct location if the user forgets the
	  closing brace '}'.

	* texi2html.pl: Fixed formatting errors in expansions of @SPACE,
	  @TAB, and @NL (where SPACE, TAB, and NL represent the actual
	  space, tab, and newline characters).  The Texinfo manual
	  explicitly states that each of these sequences should expand to a
	  "printable" space in the [rendered] output.  The example given in
	  the manual shows that "Spacey@ @ @ @ example" should expand to
	  "Spacey    example".  However, texi2html was only emitting the
	  insignificant whitespace ' ' and '\n' into the HTML output which
	  did not properly preserve the hard spaces in "Spacey    example".
	  Now each of these directives expands to '&nbsp;' instead.

	* texi2html.pl: Made aesthetic improvement to the output of @file{},
	  @option{}, and @samp{}.  The argument string is now quoted with
	  ` and ' _after_ the style has been applied.  For instance,
	  @samp{perl} now expands to "`<samp>perl</samp>'", whereas it used
	  to expand to "<samp>`perl'</samp>".  In my tests, this change
	  results in more aesthetically pleasing rendered output on various
	  browsers.

2000-08-16  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: Bug fix from: "joseph" <joseph@freenet.de>
	MySimple.pm should be 'require'd, but checked is still texi2html.init.

2000-08-14  Karl Heinz Marbaise   <khmarbaise@gmx.de>
        * new command line switch (Test purposes only!)
          to show new layout in HTML for @def stuff.
        * Texinfo-Documentation updated.
          - New chapter about ``customizing HTML'' started.
          - multiple files instead of one.
          - subdirectory doc.

2000-07-27  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: Fixed Getopt::Long::Configure("pass_through") for
	older versions of Getopt::Long which do not support his function.

2000-07-11  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* implemented @documentlanguage:
	  - sets language of document, unless overwritten by -lang, or 
	    explicitly set $T2H_LANG

	* introduced T2H_OBSOLETE_OPTIONS to prevent obsolete options to 
	  ambiguate current options

2000-07-09  Karl Heinz Marbaise   <khmarbaise@gmx.de>
        * Texinfo-Documentation:
          - fixes from Peter Moulder <pjm@bofh.asn.au> incorporated
            into manual.
          - Updated Manual
            o improved
            o indices for options, variables of script.
            o much more.
        * texi2html.init:
          - improvements for different languages
            (month names, words in different languages).

2000-07-05  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* Provided CVS anonymous read-access to Texi2html:
 cvs -d :pserver:t2h-anon@urmel.mathematik.uni-kl.de:/usr/local/Singular/cvsroot login
 cvs -d :pserver:t2h-anon@urmel.mathematik.uni-kl.de:/usr/local/Singular/cvsroot co Texi2html
 Passwd: texi2html
	* Provided CVS write-access to Texi2html: contact me for
	instructions 
	
2000-07-01  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* primitive support for some toher def stuff (needs to be fixed,
	though) 
	* Distribution: Incorporated texi2html.texi authored by Karl Heinz
	Marbaise <khmarbaise@gmx.de> (THANKS!)
	
	* texi2html.1.in: Updates to reflect new cmd-line options

	* Rewrote handling of command-line options:
	- based on (My)Simple.pm, and Getopt::Long
	-help now works and is up-to-date
	-help 1 lists also "not-so-important" options
	-help 2 lists also obsolete options
	- the following options were renamed: (old options still work, but 
	  are marked as obsolete)
	    verbose            ==> Verbose
	    section_navigation ==> sec_nav
	    output_file        ==> out_file
	- the following options are obsoleted (still work, though):
 	    no-section_navigation ==> -nosec_nav
	    use_acc		  ==> ALWAYS use accents
	    expandinfo		  ==> -expand info	
	    expandtex		  ==> -expand tex
	    no_verbose            ==> default case
	    monolithic            ==> default case
	    split_node            ==> -split section
	    split_chapter         ==> -split chapter
	
2000-06-27  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* Fixed bug in anchor generation (reported by various people who
	noticed that @anchor may not be on one line with @item)
	* Fixed infinite loop on missing '@end macro'
	* texi2html.pl: -expandinfo and -expandtex command-line options
	for backward compatibility

	* texi2html.init: Use ISO 639 language codes for keys in $T2H_LANG 
	hash.

2000-06-26  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: new command-line options:
	 -nonumber, -nomenu to unset the default -number -menu

	* texi2html.pl: As suggested by "Richard Y. Kim" <ryk@coho.net>:
	insert <A NAME="#nodename"></A> for each
	nodename in a document (nodename is exactly as in texinfo
	source). 
	
	* From: "Richard Y. Kim" <ryk@coho.net>
	  o $T2H_FRAMES internal boolean variable which defaults to 0
	  o -frames command line option which changes $T2H_FRAMES to 1.
	  o If $T2H_FRAMES is 1, then two additional files are output.
	    If mydoc.html is output normally, then mydoc_frame.html
	    and mydoc_frame_toc.html files are output.
	  o The functions T2H_print_frame, and T2H_print_toc_frame are used to
		generate contents of these files.
	  o The T2H_DEFAULT_print_frame and T2H_DEFAULT_print_toc_frame
	    (defined in texi2html.ini) do the following:
       mydoc_frame.html is the short file with <FRAME> tags.
       mydoc_frame_toc.html is basically the short table of contents
       which goes on the narrow left frame.
	
	* texi2html.pl: @,{c} --> &ccedil;

2000-06-23  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* released version 1.63
	* texi2html.init (T2H_DEFAULT_print_page_head): 
	  make <html> tag very first thing in every file
	* fixed macro quoting and special cases of macro invocation
	* from "Richard Y. Kim" <ryk@coho.net>:
	    o handle \} in macro arguments
	* from brlewis@alum.mit.edu:
	    o Changes to facilitate CSS
	    o -toc_file option for those who want the TOC to be index.html
	    o Config variable $T2H_HREF_DIR_INSTEAD_FILE:
	       if set (e.g., to index.html) replace hrefs to this file 
               (i.e., to index.html) by ./
	* texi2html.pl: index generation after value substitution

2000-05-31  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: for def_map stuff <A NAME=..> before output
	* texi2html.pl: applied patch from "Richard Y. Kim" <ryk@ap.com>
	                for @refs with 2 or 3 args: use 3rd or 2nd argor
			section (in that order) as text for reference.

2000-04-18  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: Applied patches of <sunshine@sunshineco.com> to
	make texi2html work with older versions of Perl

2000-04-13  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: fixed unmacro
	* distribution: applied patches from Peter Moulder and Teun
	Burgers.
	* fixed "Duplicate section found" -- section may now have
	duplicate names
	* fixed bug related to $T2H_AVOID_MENU_REDUNDANCY

2000-04-12  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* release 1.62 
	* added $T2H_NODE_NAME_IN_MENU for enforcing node
	names in meny entries, and $T2H_AVOID_MENU_REDUNDANCY to
	avoid display of duplicate meny entry information

2000-04-11  Olaf Bachmann  <obachman@mathematik.uni-kl.de>
	
	* texi2html.pl: fixed two small bugs reported by
	sunshine@sunshineco.com (</TR> in menu, <P> after itemize).
	* implemented @ftable, @vtable
	* index generation reimplemented: 
	  - Can be split over several pages, depending on the value of
	    $T2H_SPLIT_INDEX 
	  - typesetting in fixed-width font is observed
	* texi2html.init: T2H_IDX_SUMMARY either set or not set, takes no
	argument.

2000-04-08  Peter Moulder  <pjm@bofh.asn.au>

	* Makefile.am, configure.in: Generate texi2html in
	configure script instead of Makefile.  (Due mostly to
	Teun Burgers.)

	* README, TODO, texi2html.1.in, texi2html.init, texi2html.pl:
	Misc. documentation changes.

2000-04-07  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.init: $T2H_INDEX_CHAPTER introduced: 
	  if set, use this chapter for Index button, else
          use first chapter whose name matches 'index' (case insensitive)
	* fixed atuomatic pointer creation for appendix chapters
	* fixed handling of menu entries with description going into the
	  next line, use numbered section names, if $T2H_NUMBER_SECTIONS
	* texi2html.init: $T2H_TOP_HEADING for explicitly specifying
	  heading of top node
	* fixed handling of headings (no new page on -split section)
	* fixed bug in index (generation of section names)
	* stoc in _ovr.html within BLOCKQUOTES
	* get rid of bullets in ToC, if $T2H_NUMBER_SECTIONS

2000-04-06  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* fixed bug in creation of index entries (eval of section names) 
	* fixed table within itemize and parapgraphs
	* surpress <P></P> when within <pre>
	* allow @include within top node

2000-04-03  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.init: By default, T2H_TOP_FILE is set to '' 
	* texi2html.pl: $docu_top=$T2H_TOP_FILE || $docu_name. $docu_ext;

2000-03-31  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: $complex_format_map for complex enclosing
	constructs where which: 
	* texi2html.init:$T2H_EXAMPLE_INDENT_CELL,
	$T2H_SMALL_EXAMPLE_INDENT_CELL, $T2H_SMALL_FONT_SIZE for
	customizing indent/font size of block-enclosing texinfo command
	(@example, @format, @display, etc).
	* Release version 1.61.

2000-03-29  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* Cleaned up texi2html.pl and added loading of init file (when
	texi2html.pl is run) such that it can directly be used as script
	(otherwise, debugging is much harder).

	* fixed getpwuid 

	* Added T2H_print_chapter_header, T2H_print_chapter_footer for
	more fine-grained control of T2H_SPLIT eq 'chapter', added option
	-section_navigation, $T2H_SECTION_NAVIGATION to suppress output of
	navigation panels per section

	* Changed naming and and calling convention of customizable subs:
	They all have prefix T2H_, are called with &$T2H_, are assigned by 
	$T2H_<name> = \&T2H_DEFAULT_<name>.

	* texi2html.init: Incorporated changed of Peter Moulder:
	
2000-03-27  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* debian/*: deleted
	* texi2html.pl: Incorporated changes of Peter Moulder
	* texi2html.pl: Automatic node pointer creation added
	* texi2html.pl: @enddots, @exclamdown, etc added

2000-03-26  Peter Moulder  <reiter@netspace.net.au>

	* texi2html.init: Address a couple of weblint/tidy warnings.

	* texi2html.init:
	* texi2html.pl: The init file is inserted into the executable at
	build time (see Makefile.am).

	* texi2html.pl: Source each of @sysconfdir@/texi2htmlrc and
	$HOME/.texi2htmlrc if it exists, after processing texi2html.init
	but before anything on the command-line.
	
	Allow -split_chapter, -split_node, -monolithic options, which is
	what previous versions of texi2html used.
	
	Support `@command{...}'.
	
	Add --help, --version options.
	
	-sidx isn't used, so comment out.

	* configure.in:
	* Makefile.am:
	* autogen.sh: New files.

	* configure.in: Change version number from 1.60Beta to 1.59.2.

	* debian/*: New files.

	* texi2html.1.in:
	* texi2html.pl: Extract the man page into a separate file.  At the
	moment, the man page is even installed separately (with
	texi2html.pl having `.so @MANPAGE_PATH@' in place of the
	manpage).  Conceivably we could add a configure option to
	construct everything as one file like we used to; just replace
	that text with `@EMBEDDED_MANPAGE@', which would be replaced with
	either the existing `.so @MANPAGE_PATH@' or with texi2html.1
	contents the way texi2html.init is done.
	
2000-03-14  Olaf Bachmann  <obachman@mathematik.uni-kl.de>

	* texi2html.pl: center @image by default, can be overwritten by
	T2H_CENTER_IMAGE (sunshine@sunshineco.com)

# vim:tabstop=8:shiftwidth=8
